/// Code table
/// Generated at 2020-09-22T01:23:23+00:00
pub mod code_table {

use super::code_table_type::TableType;
use super::OEMCPHashMap;
use TableType::*;

/// Decoding table (CP437 to Unicode)
pub static DECODING_TABLE_CP437: [char; 128] = ['Ç', 'ü', 'é', 'â', 'ä', 'à', 'å', 'ç', 'ê', 'ë', 'è', 'ï', 'î', 'ì', 'Ä', 'Å', 'É', 'æ', 'Æ', 'ô', 'ö', 'ò', 'û', 'ù', 'ÿ', 'Ö', 'Ü', '¢', '£', '¥', '₧', 'ƒ', 'á', 'í', 'ó', 'ú', 'ñ', 'Ñ', 'ª', 'º', '¿', '⌐', '¬', '½', '¼', '¡', '«', '»', '░', '▒', '▓', '│', '┤', '╡', '╢', '╖', '╕', '╣', '║', '╗', '╝', '╜', '╛', '┐', '└', '┴', '┬', '├', '─', '┼', '╞', '╟', '╚', '╔', '╩', '╦', '╠', '═', '╬', '╧', '╨', '╤', '╥', '╙', '╘', '╒', '╓', '╫', '╪', '┘', '┌', '█', '▄', '▌', '▐', '▀', 'α', 'ß', 'Γ', 'π', 'Σ', 'σ', 'µ', 'τ', 'Φ', 'Θ', 'Ω', 'δ', '∞', 'φ', 'ε', '∩', '≡', '±', '≥', '≤', '⌠', '⌡', '÷', '≈', '°', '∙', '·', '√', 'ⁿ', '²', '■', '\u{a0}'];

/// Decoding table (CP720 to Unicode)
pub static DECODING_TABLE_CP720: [Option<char>; 128] = [None, None, Some('é'), Some('â'), None, Some('à'), None, Some('ç'), Some('ê'), Some('ë'), Some('è'), Some('ï'), Some('î'), None, None, None, None, Some('\u{651}'), Some('\u{652}'), Some('ô'), Some('¤'), Some('ـ'), Some('û'), Some('ù'), Some('ء'), Some('آ'), Some('أ'), Some('ؤ'), Some('£'), Some('إ'), Some('ئ'), Some('ا'), Some('ب'), Some('ة'), Some('ت'), Some('ث'), Some('ج'), Some('ح'), Some('خ'), Some('د'), Some('ذ'), Some('ر'), Some('ز'), Some('س'), Some('ش'), Some('ص'), Some('«'), Some('»'), Some('░'), Some('▒'), Some('▓'), Some('│'), Some('┤'), Some('╡'), Some('╢'), Some('╖'), Some('╕'), Some('╣'), Some('║'), Some('╗'), Some('╝'), Some('╜'), Some('╛'), Some('┐'), Some('└'), Some('┴'), Some('┬'), Some('├'), Some('─'), Some('┼'), Some('╞'), Some('╟'), Some('╚'), Some('╔'), Some('╩'), Some('╦'), Some('╠'), Some('═'), Some('╬'), Some('╧'), Some('╨'), Some('╤'), Some('╥'), Some('╙'), Some('╘'), Some('╒'), Some('╓'), Some('╫'), Some('╪'), Some('┘'), Some('┌'), Some('█'), Some('▄'), Some('▌'), Some('▐'), Some('▀'), Some('ض'), Some('ط'), Some('ظ'), Some('ع'), Some('غ'), Some('ف'), Some('µ'), Some('ق'), Some('ك'), Some('ل'), Some('م'), Some('ن'), Some('ه'), Some('و'), Some('ى'), Some('ي'), Some('≡'), Some('\u{64b}'), Some('\u{64c}'), Some('\u{64d}'), Some('\u{64e}'), Some('\u{64f}'), Some('\u{650}'), Some('≈'), Some('°'), Some('∙'), Some('·'), Some('√'), Some('ⁿ'), Some('²'), Some('■'), Some('\u{a0}')];

/// Decoding table (CP737 to Unicode)
pub static DECODING_TABLE_CP737: [char; 128] = ['Α', 'Β', 'Γ', 'Δ', 'Ε', 'Ζ', 'Η', 'Θ', 'Ι', 'Κ', 'Λ', 'Μ', 'Ν', 'Ξ', 'Ο', 'Π', 'Ρ', 'Σ', 'Τ', 'Υ', 'Φ', 'Χ', 'Ψ', 'Ω', 'α', 'β', 'γ', 'δ', 'ε', 'ζ', 'η', 'θ', 'ι', 'κ', 'λ', 'μ', 'ν', 'ξ', 'ο', 'π', 'ρ', 'σ', 'ς', 'τ', 'υ', 'φ', 'χ', 'ψ', '░', '▒', '▓', '│', '┤', '╡', '╢', '╖', '╕', '╣', '║', '╗', '╝', '╜', '╛', '┐', '└', '┴', '┬', '├', '─', '┼', '╞', '╟', '╚', '╔', '╩', '╦', '╠', '═', '╬', '╧', '╨', '╤', '╥', '╙', '╘', '╒', '╓', '╫', '╪', '┘', '┌', '█', '▄', '▌', '▐', '▀', 'ω', 'ά', 'έ', 'ή', 'ϊ', 'ί', 'ό', 'ύ', 'ϋ', 'ώ', 'Ά', 'Έ', 'Ή', 'Ί', 'Ό', 'Ύ', 'Ώ', '±', '≥', '≤', 'Ϊ', 'Ϋ', '÷', '≈', '°', '∙', '·', '√', 'ⁿ', '²', '■', '\u{a0}'];

/// Decoding table (CP775 to Unicode)
pub static DECODING_TABLE_CP775: [char; 128] = ['Ć', 'ü', 'é', 'ā', 'ä', 'ģ', 'å', 'ć', 'ł', 'ē', 'Ŗ', 'ŗ', 'ī', 'Ź', 'Ä', 'Å', 'É', 'æ', 'Æ', 'ō', 'ö', 'Ģ', '¢', 'Ś', 'ś', 'Ö', 'Ü', 'ø', '£', 'Ø', '×', '¤', 'Ā', 'Ī', 'ó', 'Ż', 'ż', 'ź', '”', '¦', '©', '®', '¬', '½', '¼', 'Ł', '«', '»', '░', '▒', '▓', '│', '┤', 'Ą', 'Č', 'Ę', 'Ė', '╣', '║', '╗', '╝', 'Į', 'Š', '┐', '└', '┴', '┬', '├', '─', '┼', 'Ų', 'Ū', '╚', '╔', '╩', '╦', '╠', '═', '╬', 'Ž', 'ą', 'č', 'ę', 'ė', 'į', 'š', 'ų', 'ū', 'ž', '┘', '┌', '█', '▄', '▌', '▐', '▀', 'Ó', 'ß', 'Ō', 'Ń', 'õ', 'Õ', 'µ', 'ń', 'Ķ', 'ķ', 'Ļ', 'ļ', 'ņ', 'Ē', 'Ņ', '’', '\u{ad}', '±', '“', '¾', '¶', '§', '÷', '„', '°', '∙', '·', '¹', '³', '²', '■', '\u{a0}'];

/// Decoding table (CP850 to Unicode)
pub static DECODING_TABLE_CP850: [char; 128] = ['Ç', 'ü', 'é', 'â', 'ä', 'à', 'å', 'ç', 'ê', 'ë', 'è', 'ï', 'î', 'ì', 'Ä', 'Å', 'É', 'æ', 'Æ', 'ô', 'ö', 'ò', 'û', 'ù', 'ÿ', 'Ö', 'Ü', 'ø', '£', 'Ø', '×', 'ƒ', 'á', 'í', 'ó', 'ú', 'ñ', 'Ñ', 'ª', 'º', '¿', '®', '¬', '½', '¼', '¡', '«', '»', '░', '▒', '▓', '│', '┤', 'Á', 'Â', 'À', '©', '╣', '║', '╗', '╝', '¢', '¥', '┐', '└', '┴', '┬', '├', '─', '┼', 'ã', 'Ã', '╚', '╔', '╩', '╦', '╠', '═', '╬', '¤', 'ð', 'Ð', 'Ê', 'Ë', 'È', 'ı', 'Í', 'Î', 'Ï', '┘', '┌', '█', '▄', '¦', 'Ì', '▀', 'Ó', 'ß', 'Ô', 'Ò', 'õ', 'Õ', 'µ', 'þ', 'Þ', 'Ú', 'Û', 'Ù', 'ý', 'Ý', '¯', '´', '\u{ad}', '±', '‗', '¾', '¶', '§', '÷', '¸', '°', '¨', '·', '¹', '³', '²', '■', '\u{a0}'];

/// Decoding table (CP852 to Unicode)
pub static DECODING_TABLE_CP852: [char; 128] = ['Ç', 'ü', 'é', 'â', 'ä', 'ů', 'ć', 'ç', 'ł', 'ë', 'Ő', 'ő', 'î', 'Ź', 'Ä', 'Ć', 'É', 'Ĺ', 'ĺ', 'ô', 'ö', 'Ľ', 'ľ', 'Ś', 'ś', 'Ö', 'Ü', 'Ť', 'ť', 'Ł', '×', 'č', 'á', 'í', 'ó', 'ú', 'Ą', 'ą', 'Ž', 'ž', 'Ę', 'ę', '¬', 'ź', 'Č', 'ş', '«', '»', '░', '▒', '▓', '│', '┤', 'Á', 'Â', 'Ě', 'Ş', '╣', '║', '╗', '╝', 'Ż', 'ż', '┐', '└', '┴', '┬', '├', '─', '┼', 'Ă', 'ă', '╚', '╔', '╩', '╦', '╠', '═', '╬', '¤', 'đ', 'Đ', 'Ď', 'Ë', 'ď', 'Ň', 'Í', 'Î', 'ě', '┘', '┌', '█', '▄', 'Ţ', 'Ů', '▀', 'Ó', 'ß', 'Ô', 'Ń', 'ń', 'ň', 'Š', 'š', 'Ŕ', 'Ú', 'ŕ', 'Ű', 'ý', 'Ý', 'ţ', '´', '\u{ad}', '˝', '˛', 'ˇ', '˘', '§', '÷', '¸', '°', '¨', '˙', 'ű', 'Ř', 'ř', '■', '\u{a0}'];

/// Decoding table (CP855 to Unicode)
pub static DECODING_TABLE_CP855: [char; 128] = ['ђ', 'Ђ', 'ѓ', 'Ѓ', 'ё', 'Ё', 'є', 'Є', 'ѕ', 'Ѕ', 'і', 'І', 'ї', 'Ї', 'ј', 'Ј', 'љ', 'Љ', 'њ', 'Њ', 'ћ', 'Ћ', 'ќ', 'Ќ', 'ў', 'Ў', 'џ', 'Џ', 'ю', 'Ю', 'ъ', 'Ъ', 'а', 'А', 'б', 'Б', 'ц', 'Ц', 'д', 'Д', 'е', 'Е', 'ф', 'Ф', 'г', 'Г', '«', '»', '░', '▒', '▓', '│', '┤', 'х', 'Х', 'и', 'И', '╣', '║', '╗', '╝', 'й', 'Й', '┐', '└', '┴', '┬', '├', '─', '┼', 'к', 'К', '╚', '╔', '╩', '╦', '╠', '═', '╬', '¤', 'л', 'Л', 'м', 'М', 'н', 'Н', 'о', 'О', 'п', '┘', '┌', '█', '▄', 'П', 'я', '▀', 'Я', 'р', 'Р', 'с', 'С', 'т', 'Т', 'у', 'У', 'ж', 'Ж', 'в', 'В', 'ь', 'Ь', '№', '\u{ad}', 'ы', 'Ы', 'з', 'З', 'ш', 'Ш', 'э', 'Э', 'щ', 'Щ', 'ч', 'Ч', '§', '■', '\u{a0}'];

/// Decoding table (CP857 to Unicode)
pub static DECODING_TABLE_CP857: [Option<char>; 128] = [Some('Ç'), Some('ü'), Some('é'), Some('â'), Some('ä'), Some('à'), Some('å'), Some('ç'), Some('ê'), Some('ë'), Some('è'), Some('ï'), Some('î'), Some('ı'), Some('Ä'), Some('Å'), Some('É'), Some('æ'), Some('Æ'), Some('ô'), Some('ö'), Some('ò'), Some('û'), Some('ù'), Some('İ'), Some('Ö'), Some('Ü'), Some('ø'), Some('£'), Some('Ø'), Some('Ş'), Some('ş'), Some('á'), Some('í'), Some('ó'), Some('ú'), Some('ñ'), Some('Ñ'), Some('Ğ'), Some('ğ'), Some('¿'), Some('®'), Some('¬'), Some('½'), Some('¼'), Some('¡'), Some('«'), Some('»'), Some('░'), Some('▒'), Some('▓'), Some('│'), Some('┤'), Some('Á'), Some('Â'), Some('À'), Some('©'), Some('╣'), Some('║'), Some('╗'), Some('╝'), Some('¢'), Some('¥'), Some('┐'), Some('└'), Some('┴'), Some('┬'), Some('├'), Some('─'), Some('┼'), Some('ã'), Some('Ã'), Some('╚'), Some('╔'), Some('╩'), Some('╦'), Some('╠'), Some('═'), Some('╬'), Some('¤'), Some('º'), Some('ª'), Some('Ê'), Some('Ë'), Some('È'), None, Some('Í'), Some('Î'), Some('Ï'), Some('┘'), Some('┌'), Some('█'), Some('▄'), Some('¦'), Some('Ì'), Some('▀'), Some('Ó'), Some('ß'), Some('Ô'), Some('Ò'), Some('õ'), Some('Õ'), Some('µ'), None, Some('×'), Some('Ú'), Some('Û'), Some('Ù'), Some('ì'), Some('ÿ'), Some('¯'), Some('´'), Some('\u{ad}'), Some('±'), None, Some('¾'), Some('¶'), Some('§'), Some('÷'), Some('¸'), Some('°'), Some('¨'), Some('·'), Some('¹'), Some('³'), Some('²'), Some('■'), Some('\u{a0}')];

/// Decoding table (CP858 to Unicode)
pub static DECODING_TABLE_CP858: [char; 128] = ['Ç', 'ü', 'é', 'â', 'ä', 'à', 'å', 'ç', 'ê', 'ë', 'è', 'ï', 'î', 'ì', 'Ä', 'Å', 'É', 'æ', 'Æ', 'ô', 'ö', 'ò', 'û', 'ù', 'ÿ', 'Ö', 'Ü', 'ø', '£', 'Ø', '×', 'ƒ', 'á', 'í', 'ó', 'ú', 'ñ', 'Ñ', 'ª', 'º', '¿', '®', '¬', '½', '¼', '¡', '«', '»', '░', '▒', '▓', '│', '┤', 'Á', 'Â', 'À', '©', '╣', '║', '╗', '╝', '¢', '¥', '┐', '└', '┴', '┬', '├', '─', '┼', 'ã', 'Ã', '╚', '╔', '╩', '╦', '╠', '═', '╬', '¤', 'ð', 'Ð', 'Ê', 'Ë', 'È', '€', 'Í', 'Î', 'Ï', '┘', '┌', '█', '▄', '¦', 'Ì', '▀', 'Ó', 'ß', 'Ô', 'Ò', 'õ', 'Õ', 'µ', 'þ', 'Þ', 'Ú', 'Û', 'Ù', 'ý', 'Ý', '¯', '´', '\u{ad}', '±', '‗', '¾', '¶', '§', '÷', '¸', '°', '¨', '·', '¹', '³', '²', '■', '\u{a0}'];

/// Decoding table (CP860 to Unicode)
pub static DECODING_TABLE_CP860: [char; 128] = ['Ç', 'ü', 'é', 'â', 'ã', 'à', 'Á', 'ç', 'ê', 'Ê', 'è', 'Í', 'Ô', 'ì', 'Ã', 'Â', 'É', 'À', 'È', 'ô', 'õ', 'ò', 'Ú', 'ù', 'Ì', 'Õ', 'Ü', '¢', '£', 'Ù', '₧', 'Ó', 'á', 'í', 'ó', 'ú', 'ñ', 'Ñ', 'ª', 'º', '¿', 'Ò', '¬', '½', '¼', '¡', '«', '»', '░', '▒', '▓', '│', '┤', '╡', '╢', '╖', '╕', '╣', '║', '╗', '╝', '╜', '╛', '┐', '└', '┴', '┬', '├', '─', '┼', '╞', '╟', '╚', '╔', '╩', '╦', '╠', '═', '╬', '╧', '╨', '╤', '╥', '╙', '╘', '╒', '╓', '╫', '╪', '┘', '┌', '█', '▄', '▌', '▐', '▀', 'α', 'ß', 'Γ', 'π', 'Σ', 'σ', 'µ', 'τ', 'Φ', 'Θ', 'Ω', 'δ', '∞', 'φ', 'ε', '∩', '≡', '±', '≥', '≤', '⌠', '⌡', '÷', '≈', '°', '∙', '·', '√', 'ⁿ', '²', '■', '\u{a0}'];

/// Decoding table (CP861 to Unicode)
pub static DECODING_TABLE_CP861: [char; 128] = ['Ç', 'ü', 'é', 'â', 'ä', 'à', 'å', 'ç', 'ê', 'ë', 'è', 'Ð', 'ð', 'Þ', 'Ä', 'Å', 'É', 'æ', 'Æ', 'ô', 'ö', 'þ', 'û', 'Ý', 'ý', 'Ö', 'Ü', 'ø', '£', 'Ø', '₧', 'ƒ', 'á', 'í', 'ó', 'ú', 'Á', 'Í', 'Ó', 'Ú', '¿', '⌐', '¬', '½', '¼', '¡', '«', '»', '░', '▒', '▓', '│', '┤', '╡', '╢', '╖', '╕', '╣', '║', '╗', '╝', '╜', '╛', '┐', '└', '┴', '┬', '├', '─', '┼', '╞', '╟', '╚', '╔', '╩', '╦', '╠', '═', '╬', '╧', '╨', '╤', '╥', '╙', '╘', '╒', '╓', '╫', '╪', '┘', '┌', '█', '▄', '▌', '▐', '▀', 'α', 'ß', 'Γ', 'π', 'Σ', 'σ', 'µ', 'τ', 'Φ', 'Θ', 'Ω', 'δ', '∞', 'φ', 'ε', '∩', '≡', '±', '≥', '≤', '⌠', '⌡', '÷', '≈', '°', '∙', '·', '√', 'ⁿ', '²', '■', '\u{a0}'];

/// Decoding table (CP862 to Unicode)
pub static DECODING_TABLE_CP862: [char; 128] = ['א', 'ב', 'ג', 'ד', 'ה', 'ו', 'ז', 'ח', 'ט', 'י', 'ך', 'כ', 'ל', 'ם', 'מ', 'ן', 'נ', 'ס', 'ע', 'ף', 'פ', 'ץ', 'צ', 'ק', 'ר', 'ש', 'ת', '¢', '£', '¥', '₧', 'ƒ', 'á', 'í', 'ó', 'ú', 'ñ', 'Ñ', 'ª', 'º', '¿', '⌐', '¬', '½', '¼', '¡', '«', '»', '░', '▒', '▓', '│', '┤', '╡', '╢', '╖', '╕', '╣', '║', '╗', '╝', '╜', '╛', '┐', '└', '┴', '┬', '├', '─', '┼', '╞', '╟', '╚', '╔', '╩', '╦', '╠', '═', '╬', '╧', '╨', '╤', '╥', '╙', '╘', '╒', '╓', '╫', '╪', '┘', '┌', '█', '▄', '▌', '▐', '▀', 'α', 'ß', 'Γ', 'π', 'Σ', 'σ', 'µ', 'τ', 'Φ', 'Θ', 'Ω', 'δ', '∞', 'φ', 'ε', '∩', '≡', '±', '≥', '≤', '⌠', '⌡', '÷', '≈', '°', '∙', '·', '√', 'ⁿ', '²', '■', '\u{a0}'];

/// Decoding table (CP863 to Unicode)
pub static DECODING_TABLE_CP863: [char; 128] = ['Ç', 'ü', 'é', 'â', 'Â', 'à', '¶', 'ç', 'ê', 'ë', 'è', 'ï', 'î', '‗', 'À', '§', 'É', 'È', 'Ê', 'ô', 'Ë', 'Ï', 'û', 'ù', '¤', 'Ô', 'Ü', '¢', '£', 'Ù', 'Û', 'ƒ', '¦', '´', 'ó', 'ú', '¨', '¸', '³', '¯', 'Î', '⌐', '¬', '½', '¼', '¾', '«', '»', '░', '▒', '▓', '│', '┤', '╡', '╢', '╖', '╕', '╣', '║', '╗', '╝', '╜', '╛', '┐', '└', '┴', '┬', '├', '─', '┼', '╞', '╟', '╚', '╔', '╩', '╦', '╠', '═', '╬', '╧', '╨', '╤', '╥', '╙', '╘', '╒', '╓', '╫', '╪', '┘', '┌', '█', '▄', '▌', '▐', '▀', 'α', 'ß', 'Γ', 'π', 'Σ', 'σ', 'µ', 'τ', 'Φ', 'Θ', 'Ω', 'δ', '∞', 'φ', 'ε', '∩', '≡', '±', '≥', '≤', '⌠', '⌡', '÷', '≈', '°', '∙', '·', '√', 'ⁿ', '²', '■', '\u{a0}'];

/// Decoding table (CP864 to Unicode)
pub static DECODING_TABLE_CP864: [Option<char>; 128] = [Some('°'), Some('·'), Some('∙'), Some('√'), Some('▒'), Some('─'), Some('│'), Some('┼'), Some('┤'), Some('┬'), Some('├'), Some('┴'), Some('┐'), Some('┌'), Some('└'), Some('┘'), Some('β'), Some('∞'), Some('φ'), Some('±'), Some('½'), Some('¼'), Some('≈'), Some('«'), Some('»'), Some('ﻷ'), Some('ﻸ'), None, None, Some('ﻻ'), Some('ﻼ'), None, Some('\u{a0}'), Some('\u{ad}'), Some('ﺂ'), Some('£'), Some('¤'), Some('ﺄ'), None, None, Some('ﺎ'), Some('ﺏ'), Some('ﺕ'), Some('ﺙ'), Some('،'), Some('ﺝ'), Some('ﺡ'), Some('ﺥ'), Some('٠'), Some('١'), Some('٢'), Some('٣'), Some('٤'), Some('٥'), Some('٦'), Some('٧'), Some('٨'), Some('٩'), Some('ﻑ'), Some('؛'), Some('ﺱ'), Some('ﺵ'), Some('ﺹ'), Some('؟'), Some('¢'), Some('ﺀ'), Some('ﺁ'), Some('ﺃ'), Some('ﺅ'), Some('ﻊ'), Some('ﺋ'), Some('ﺍ'), Some('ﺑ'), Some('ﺓ'), Some('ﺗ'), Some('ﺛ'), Some('ﺟ'), Some('ﺣ'), Some('ﺧ'), Some('ﺩ'), Some('ﺫ'), Some('ﺭ'), Some('ﺯ'), Some('ﺳ'), Some('ﺷ'), Some('ﺻ'), Some('ﺿ'), Some('ﻁ'), Some('ﻅ'), Some('ﻋ'), Some('ﻏ'), Some('¦'), Some('¬'), Some('÷'), Some('×'), Some('ﻉ'), Some('ـ'), Some('ﻓ'), Some('ﻗ'), Some('ﻛ'), Some('ﻟ'), Some('ﻣ'), Some('ﻧ'), Some('ﻫ'), Some('ﻭ'), Some('ﻯ'), Some('ﻳ'), Some('ﺽ'), Some('ﻌ'), Some('ﻎ'), Some('ﻍ'), Some('ﻡ'), Some('ﹽ'), Some('\u{651}'), Some('ﻥ'), Some('ﻩ'), Some('ﻬ'), Some('ﻰ'), Some('ﻲ'), Some('ﻐ'), Some('ﻕ'), Some('ﻵ'), Some('ﻶ'), Some('ﻝ'), Some('ﻙ'), Some('ﻱ'), Some('■'), None];

/// Decoding table (CP865 to Unicode)
pub static DECODING_TABLE_CP865: [char; 128] = ['Ç', 'ü', 'é', 'â', 'ä', 'à', 'å', 'ç', 'ê', 'ë', 'è', 'ï', 'î', 'ì', 'Ä', 'Å', 'É', 'æ', 'Æ', 'ô', 'ö', 'ò', 'û', 'ù', 'ÿ', 'Ö', 'Ü', 'ø', '£', 'Ø', '₧', 'ƒ', 'á', 'í', 'ó', 'ú', 'ñ', 'Ñ', 'ª', 'º', '¿', '⌐', '¬', '½', '¼', '¡', '«', '¤', '░', '▒', '▓', '│', '┤', '╡', '╢', '╖', '╕', '╣', '║', '╗', '╝', '╜', '╛', '┐', '└', '┴', '┬', '├', '─', '┼', '╞', '╟', '╚', '╔', '╩', '╦', '╠', '═', '╬', '╧', '╨', '╤', '╥', '╙', '╘', '╒', '╓', '╫', '╪', '┘', '┌', '█', '▄', '▌', '▐', '▀', 'α', 'ß', 'Γ', 'π', 'Σ', 'σ', 'µ', 'τ', 'Φ', 'Θ', 'Ω', 'δ', '∞', 'φ', 'ε', '∩', '≡', '±', '≥', '≤', '⌠', '⌡', '÷', '≈', '°', '∙', '·', '√', 'ⁿ', '²', '■', '\u{a0}'];

/// Decoding table (CP866 to Unicode)
pub static DECODING_TABLE_CP866: [char; 128] = ['А', 'Б', 'В', 'Г', 'Д', 'Е', 'Ж', 'З', 'И', 'Й', 'К', 'Л', 'М', 'Н', 'О', 'П', 'Р', 'С', 'Т', 'У', 'Ф', 'Х', 'Ц', 'Ч', 'Ш', 'Щ', 'Ъ', 'Ы', 'Ь', 'Э', 'Ю', 'Я', 'а', 'б', 'в', 'г', 'д', 'е', 'ж', 'з', 'и', 'й', 'к', 'л', 'м', 'н', 'о', 'п', '░', '▒', '▓', '│', '┤', '╡', '╢', '╖', '╕', '╣', '║', '╗', '╝', '╜', '╛', '┐', '└', '┴', '┬', '├', '─', '┼', '╞', '╟', '╚', '╔', '╩', '╦', '╠', '═', '╬', '╧', '╨', '╤', '╥', '╙', '╘', '╒', '╓', '╫', '╪', '┘', '┌', '█', '▄', '▌', '▐', '▀', 'р', 'с', 'т', 'у', 'ф', 'х', 'ц', 'ч', 'ш', 'щ', 'ъ', 'ы', 'ь', 'э', 'ю', 'я', 'Ё', 'ё', 'Є', 'є', 'Ї', 'ї', 'Ў', 'ў', '°', '∙', '·', '√', '№', '¤', '■', '\u{a0}'];

/// Decoding table (CP869 to Unicode)
pub static DECODING_TABLE_CP869: [Option<char>; 128] = [None, None, None, None, None, None, Some('Ά'), None, Some('·'), Some('¬'), Some('¦'), Some('‘'), Some('’'), Some('Έ'), Some('―'), Some('Ή'), Some('Ί'), Some('Ϊ'), Some('Ό'), None, None, Some('Ύ'), Some('Ϋ'), Some('©'), Some('Ώ'), Some('²'), Some('³'), Some('ά'), Some('£'), Some('έ'), Some('ή'), Some('ί'), Some('ϊ'), Some('ΐ'), Some('ό'), Some('ύ'), Some('Α'), Some('Β'), Some('Γ'), Some('Δ'), Some('Ε'), Some('Ζ'), Some('Η'), Some('½'), Some('Θ'), Some('Ι'), Some('«'), Some('»'), Some('░'), Some('▒'), Some('▓'), Some('│'), Some('┤'), Some('Κ'), Some('Λ'), Some('Μ'), Some('Ν'), Some('╣'), Some('║'), Some('╗'), Some('╝'), Some('Ξ'), Some('Ο'), Some('┐'), Some('└'), Some('┴'), Some('┬'), Some('├'), Some('─'), Some('┼'), Some('Π'), Some('Ρ'), Some('╚'), Some('╔'), Some('╩'), Some('╦'), Some('╠'), Some('═'), Some('╬'), Some('Σ'), Some('Τ'), Some('Υ'), Some('Φ'), Some('Χ'), Some('Ψ'), Some('Ω'), Some('α'), Some('β'), Some('γ'), Some('┘'), Some('┌'), Some('█'), Some('▄'), Some('δ'), Some('ε'), Some('▀'), Some('ζ'), Some('η'), Some('θ'), Some('ι'), Some('κ'), Some('λ'), Some('μ'), Some('ν'), Some('ξ'), Some('ο'), Some('π'), Some('ρ'), Some('σ'), Some('ς'), Some('τ'), Some('΄'), Some('\u{ad}'), Some('±'), Some('υ'), Some('φ'), Some('χ'), Some('§'), Some('ψ'), Some('΅'), Some('°'), Some('¨'), Some('ω'), Some('ϋ'), Some('ΰ'), Some('ώ'), Some('■'), Some('\u{a0}')];

/// Decoding table (CP874 to Unicode)
pub static DECODING_TABLE_CP874: [Option<char>; 128] = [Some('€'), Some('\u{81}'), Some('\u{82}'), Some('\u{83}'), Some('\u{84}'), Some('…'), Some('\u{86}'), Some('\u{87}'), Some('\u{88}'), Some('\u{89}'), Some('\u{8a}'), Some('\u{8b}'), Some('\u{8c}'), Some('\u{8d}'), Some('\u{8e}'), Some('\u{8f}'), Some('\u{90}'), Some('‘'), Some('’'), Some('“'), Some('”'), Some('•'), Some('–'), Some('—'), Some('\u{98}'), Some('\u{99}'), Some('\u{9a}'), Some('\u{9b}'), Some('\u{9c}'), Some('\u{9d}'), Some('\u{9e}'), Some('\u{9f}'), Some('\u{a0}'), Some('ก'), Some('ข'), Some('ฃ'), Some('ค'), Some('ฅ'), Some('ฆ'), Some('ง'), Some('จ'), Some('ฉ'), Some('ช'), Some('ซ'), Some('ฌ'), Some('ญ'), Some('ฎ'), Some('ฏ'), Some('ฐ'), Some('ฑ'), Some('ฒ'), Some('ณ'), Some('ด'), Some('ต'), Some('ถ'), Some('ท'), Some('ธ'), Some('น'), Some('บ'), Some('ป'), Some('ผ'), Some('ฝ'), Some('พ'), Some('ฟ'), Some('ภ'), Some('ม'), Some('ย'), Some('ร'), Some('ฤ'), Some('ล'), Some('ฦ'), Some('ว'), Some('ศ'), Some('ษ'), Some('ส'), Some('ห'), Some('ฬ'), Some('อ'), Some('ฮ'), Some('ฯ'), Some('ะ'), Some('\u{e31}'), Some('า'), Some('ำ'), Some('\u{e34}'), Some('\u{e35}'), Some('\u{e36}'), Some('\u{e37}'), Some('\u{e38}'), Some('\u{e39}'), Some('\u{e3a}'), None, None, None, None, Some('฿'), Some('เ'), Some('แ'), Some('โ'), Some('ใ'), Some('ไ'), Some('ๅ'), Some('ๆ'), Some('\u{e47}'), Some('\u{e48}'), Some('\u{e49}'), Some('\u{e4a}'), Some('\u{e4b}'), Some('\u{e4c}'), Some('\u{e4d}'), Some('\u{e4e}'), Some('๏'), Some('๐'), Some('๑'), Some('๒'), Some('๓'), Some('๔'), Some('๕'), Some('๖'), Some('๗'), Some('๘'), Some('๙'), Some('๚'), Some('๛'), None, None, None, None];

/// Encoding table (Unicode to CP437)
pub static ENCODING_TABLE_CP437: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (0, 7),
        (6, 82),
        (0, 68),
        (0, 31),
        (3, 122),
        (0, 48),
        (1, 12),
        (0, 96),
        (0, 22),
        (2, 30),
        (3, 49),
        (39, 81),
        (2, 0),
        (0, 0),
        (5, 60),
        (1, 13),
        (15, 42),
        (0, 24),
        (1, 2),
        (2, 0),
        (10, 95),
        (0, 4),
        (0, 94),
        (0, 42),
        (14, 9),
        (11, 82),
    ],
    entries: &[
        ('╘', 212),
        ('╧', 207),
        ('Ç', 128),
        ('█', 219),
        ('«', 174),
        ('┘', 217),
        ('¡', 173),
        ('δ', 235),
        ('Ä', 142),
        ('▀', 223),
        ('σ', 229),
        ('╕', 184),
        ('╓', 214),
        ('Æ', 146),
        ('í', 161),
        ('╗', 187),
        ('ò', 149),
        ('⌐', 169),
        ('∞', 236),
        ('ê', 136),
        ('ó', 162),
        ('é', 130),
        ('α', 224),
        ('â', 131),
        ('è', 138),
        ('π', 227),
        ('ÿ', 152),
        ('¬', 170),
        ('╨', 208),
        ('─', 196),
        ('┌', 218),
        ('Ö', 153),
        ('ü', 129),
        ('∙', 249),
        ('■', 254),
        ('╬', 206),
        ('╚', 200),
        ('╣', 185),
        ('û', 150),
        ('î', 140),
        ('∩', 239),
        ('Θ', 233),
        ('≤', 243),
        ('≈', 247),
        ('ƒ', 159),
        ('┤', 180),
        ('ⁿ', 252),
        ('╛', 190),
        ('à', 133),
        ('▐', 222),
        ('á', 160),
        ('╦', 203),
        ('╖', 183),
        ('⌠', 244),
        ('º', 167),
        ('╙', 211),
        ('ù', 151),
        ('É', 144),
        ('÷', 246),
        ('╟', 199),
        ('±', 241),
        ('¥', 157),
        ('╜', 189),
        ('τ', 231),
        ('Ü', 154),
        ('ε', 238),
        ('Ñ', 165),
        ('≥', 242),
        ('ï', 139),
        ('▄', 220),
        ('£', 156),
        ('°', 248),
        ('ë', 137),
        ('▒', 177),
        ('┴', 193),
        ('Σ', 228),
        ('ú', 163),
        ('▌', 221),
        ('₧', 158),
        ('·', 250),
        ('Ω', 234),
        ('═', 205),
        ('Å', 143),
        ('║', 186),
        ('╞', 198),
        ('ç', 135),
        ('²', 253),
        ('ñ', 164),
        ('▓', 178),
        ('╡', 181),
        ('╤', 209),
        ('½', 171),
        ('»', 175),
        ('φ', 237),
        ('╪', 216),
        ('≡', 240),
        ('ì', 141),
        ('¿', 168),
        ('└', 192),
        ('ß', 225),
        ('│', 179),
        ('ä', 132),
        ('╔', 201),
        ('¼', 172),
        ('Γ', 226),
        ('µ', 230),
        ('╠', 204),
        ('¢', 155),
        ('┐', 191),
        ('Φ', 232),
        ('ª', 166),
        ('ô', 147),
        ('ö', 148),
        ('┬', 194),
        ('╒', 213),
        ('░', 176),
        ('╢', 182),
        ('╩', 202),
        ('├', 195),
        ('╝', 188),
        ('√', 251),
        ('╥', 210),
        ('⌡', 245),
        ('\u{a0}', 255),
        ('å', 134),
        ('æ', 145),
        ('╫', 215),
        ('┼', 197),
    ],
};/// Encoding table (Unicode to CP720)
pub static ENCODING_TABLE_CP720: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 15467950696543387533,
    disps: &[
        (0, 0),
        (0, 7),
        (3, 17),
        (0, 82),
        (1, 0),
        (3, 55),
        (8, 113),
        (1, 0),
        (0, 92),
        (0, 12),
        (0, 59),
        (0, 21),
        (4, 37),
        (1, 43),
        (3, 84),
        (0, 4),
        (0, 0),
        (1, 26),
        (0, 54),
        (1, 16),
        (51, 45),
        (25, 83),
        (5, 104),
        (3, 86),
    ],
    entries: &[
        ('إ', 157),
        ('╕', 184),
        ('ظ', 226),
        ('┴', 193),
        ('£', 156),
        ('╡', 181),
        ('ق', 231),
        ('د', 167),
        ('ث', 163),
        ('╠', 204),
        ('ض', 224),
        ('»', 175),
        ('\u{64d}', 243),
        ('┐', 191),
        ('╟', 199),
        ('ك', 232),
        ('▄', 220),
        ('ن', 235),
        ('\u{a0}', 255),
        ('è', 138),
        ('ت', 162),
        ('ة', 161),
        ('غ', 228),
        ('╓', 214),
        ('ز', 170),
        ('و', 237),
        ('²', 253),
        ('╬', 206),
        ('\u{64c}', 242),
        ('µ', 230),
        ('û', 150),
        ('│', 179),
        ('ـ', 149),
        ('├', 195),
        ('╢', 182),
        ('║', 186),
        ('ا', 159),
        ('°', 248),
        ('╪', 216),
        ('خ', 166),
        ('ë', 137),
        ('ح', 165),
        ('ù', 151),
        ('\u{64b}', 241),
        ('\u{64e}', 244),
        ('ô', 147),
        ('╦', 203),
        ('∙', 249),
        ('س', 171),
        ('ب', 160),
        ('╩', 202),
        ('\u{64f}', 245),
        ('└', 192),
        ('ش', 172),
        ('ⁿ', 252),
        ('░', 176),
        ('─', 196),
        ('■', 254),
        ('é', 130),
        ('ي', 239),
        ('╝', 188),
        ('ç', 135),
        ('┼', 197),
        ('√', 251),
        ('┘', 217),
        ('ط', 225),
        ('╛', 190),
        ('╤', 209),
        ('╙', 211),
        ('ى', 238),
        ('ء', 152),
        ('أ', 154),
        ('═', 205),
        ('╜', 189),
        ('▐', 222),
        ('à', 133),
        ('ص', 173),
        ('╫', 215),
        ('▓', 178),
        ('ل', 233),
        ('ه', 236),
        ('«', 174),
        ('م', 234),
        ('╗', 187),
        ('┌', 218),
        ('≈', 247),
        ('â', 131),
        ('╒', 213),
        ('▒', 177),
        ('·', 250),
        ('╖', 183),
        ('\u{650}', 246),
        ('ï', 139),
        ('ج', 164),
        ('╣', 185),
        ('¤', 148),
        ('ذ', 168),
        ('\u{652}', 146),
        ('ê', 136),
        ('╘', 212),
        ('ر', 169),
        ('╞', 198),
        ('▀', 223),
        ('╚', 200),
        ('▌', 221),
        ('≡', 240),
        ('ف', 229),
        ('╥', 210),
        ('┬', 194),
        ('╨', 208),
        ('ع', 227),
        ('╧', 207),
        ('╔', 201),
        ('ئ', 158),
        ('ؤ', 155),
        ('█', 219),
        ('î', 140),
        ('آ', 153),
        ('┤', 180),
        ('\u{651}', 145),
    ],
};/// Encoding table (Unicode to CP737)
pub static ENCODING_TABLE_CP737: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 7485420634051515786,
    disps: &[
        (0, 1),
        (0, 29),
        (1, 111),
        (5, 99),
        (0, 74),
        (0, 67),
        (4, 10),
        (1, 97),
        (2, 70),
        (0, 8),
        (7, 32),
        (0, 50),
        (0, 25),
        (0, 2),
        (1, 93),
        (0, 0),
        (44, 39),
        (0, 0),
        (0, 37),
        (3, 124),
        (0, 0),
        (1, 22),
        (0, 47),
        (1, 39),
        (21, 73),
        (0, 49),
    ],
    entries: &[
        ('ί', 229),
        ('ά', 225),
        ('╬', 206),
        ('δ', 155),
        ('├', 195),
        ('ε', 156),
        ('Ά', 234),
        ('ϊ', 228),
        ('╪', 216),
        ('ι', 160),
        ('φ', 173),
        ('Ό', 238),
        ('Ή', 236),
        ('╫', 215),
        ('▄', 220),
        ('╤', 209),
        ('ρ', 168),
        ('╙', 211),
        ('υ', 172),
        ('╨', 208),
        ('μ', 163),
        ('≈', 247),
        ('Ζ', 133),
        ('╟', 199),
        ('Η', 134),
        ('╓', 214),
        ('║', 186),
        ('η', 158),
        ('≤', 243),
        ('Θ', 135),
        ('┤', 180),
        ('╖', 183),
        ('Ν', 140),
        ('ς', 170),
        ('Γ', 130),
        ('Φ', 148),
        ('Ώ', 240),
        ('Ί', 237),
        ('╦', 203),
        ('╒', 213),
        ('Α', 128),
        ('╕', 184),
        ('ώ', 233),
        ('√', 251),
        ('╩', 202),
        ('─', 196),
        ('ν', 164),
        ('╢', 182),
        ('╥', 210),
        ('╝', 188),
        ('Ο', 142),
        ('ο', 166),
        ('±', 241),
        ('┐', 191),
        ('Υ', 147),
        ('▌', 221),
        ('Κ', 137),
        ('χ', 174),
        ('·', 250),
        ('θ', 159),
        ('┼', 197),
        ('Έ', 235),
        ('Ύ', 239),
        ('κ', 161),
        ('╡', 181),
        ('ό', 230),
        ('Τ', 146),
        ('ⁿ', 252),
        ('α', 152),
        ('╜', 189),
        ('Ε', 132),
        ('Ψ', 150),
        ('ψ', 175),
        ('┬', 194),
        ('▀', 223),
        ('°', 248),
        ('╞', 198),
        ('■', 254),
        ('Ξ', 141),
        ('▓', 178),
        ('σ', 169),
        ('Σ', 145),
        ('γ', 154),
        ('Δ', 131),
        ('╚', 200),
        ('ύ', 231),
        ('┘', 217),
        ('÷', 246),
        ('π', 167),
        ('Β', 129),
        ('Ϊ', 244),
        ('τ', 171),
        ('Ϋ', 245),
        ('ϋ', 232),
        ('β', 153),
        ('╘', 212),
        ('ξ', 165),
        ('┴', 193),
        ('Π', 143),
        ('Ρ', 144),
        ('Λ', 138),
        ('ή', 227),
        ('▒', 177),
        ('╧', 207),
        ('╗', 187),
        ('▐', 222),
        ('═', 205),
        ('²', 253),
        ('Ι', 136),
        ('│', 179),
        ('Ω', 151),
        ('≥', 242),
        ('╣', 185),
        ('╠', 204),
        ('∙', 249),
        ('Μ', 139),
        ('λ', 162),
        ('╛', 190),
        ('ζ', 157),
        ('░', 176),
        ('\u{a0}', 255),
        ('έ', 226),
        ('Χ', 149),
        ('╔', 201),
        ('ω', 224),
        ('└', 192),
        ('┌', 218),
        ('█', 219),
    ],
};/// Encoding table (Unicode to CP775)
pub static ENCODING_TABLE_CP775: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (0, 3),
        (0, 33),
        (0, 19),
        (1, 0),
        (0, 18),
        (14, 42),
        (2, 78),
        (0, 0),
        (36, 47),
        (9, 30),
        (0, 4),
        (10, 67),
        (0, 3),
        (0, 2),
        (0, 98),
        (78, 99),
        (0, 38),
        (1, 30),
        (0, 39),
        (0, 103),
        (48, 36),
        (0, 2),
        (18, 67),
        (1, 91),
        (10, 85),
        (0, 2),
    ],
    entries: &[
        ('ö', 148),
        ('»', 175),
        ('ä', 132),
        ('Ę', 183),
        ('ė', 211),
        ('╚', 200),
        ('«', 174),
        ('Ų', 198),
        ('’', 239),
        ('ś', 152),
        ('Ä', 142),
        ('Č', 182),
        ('ž', 216),
        ('æ', 145),
        ('õ', 228),
        ('ą', 208),
        ('Ć', 128),
        ('¤', 159),
        ('ü', 129),
        ('█', 219),
        ('÷', 246),
        ('Ķ', 232),
        ('╝', 188),
        ('Ģ', 149),
        ('ī', 140),
        ('¬', 170),
        ('ŗ', 139),
        ('ō', 147),
        ('Ļ', 234),
        ('\u{ad}', 240),
        ('Ŗ', 138),
        ('─', 196),
        ('Æ', 146),
        ('╬', 206),
        ('Š', 190),
        ('╣', 185),
        ('Ė', 184),
        ('®', 169),
        ('¶', 244),
        ('\u{a0}', 255),
        ('ć', 135),
        ('┤', 180),
        ('°', 248),
        ('Õ', 229),
        ('Ź', 141),
        ('ę', 210),
        ('×', 158),
        ('■', 254),
        ('©', 168),
        ('ģ', 133),
        ('Ž', 207),
        ('“', 242),
        ('Ū', 199),
        ('╦', 203),
        ('¼', 172),
        ('Ø', 157),
        ('▐', 222),
        ('Į', 189),
        ('±', 241),
        ('∙', 249),
        ('¹', 251),
        ('ų', 214),
        ('ņ', 236),
        ('░', 176),
        ('é', 130),
        ('ē', 137),
        ('³', 252),
        ('▄', 220),
        ('Ō', 226),
        ('Ā', 160),
        ('į', 212),
        ('Ó', 224),
        ('š', 213),
        ('Ē', 237),
        ('ķ', 233),
        ('·', 250),
        ('▌', 221),
        ('”', 166),
        ('ń', 231),
        ('╔', 201),
        ('Å', 143),
        ('║', 186),
        ('Ü', 154),
        ('ļ', 235),
        ('Ö', 153),
        ('É', 144),
        ('²', 253),
        ('ź', 165),
        ('ó', 162),
        ('ż', 164),
        ('ū', 215),
        ('„', 247),
        ('═', 205),
        ('¦', 167),
        ('ß', 225),
        ('§', 245),
        ('å', 134),
        ('ā', 131),
        ('┬', 194),
        ('Ś', 151),
        ('Ń', 227),
        ('├', 195),
        ('╠', 204),
        ('ł', 136),
        ('¢', 150),
        ('ø', 155),
        ('▒', 177),
        ('┘', 217),
        ('č', 209),
        ('▓', 178),
        ('┐', 191),
        ('┌', 218),
        ('┴', 193),
        ('│', 179),
        ('╗', 187),
        ('¾', 243),
        ('Ī', 161),
        ('µ', 230),
        ('Ż', 163),
        ('½', 171),
        ('Ņ', 238),
        ('£', 156),
        ('Ą', 181),
        ('┼', 197),
        ('╩', 202),
        ('└', 192),
        ('Ł', 173),
        ('▀', 223),
    ],
};/// Encoding table (Unicode to CP850)
pub static ENCODING_TABLE_CP850: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 10121458955350035957,
    disps: &[
        (0, 0),
        (0, 50),
        (0, 36),
        (9, 66),
        (7, 44),
        (0, 1),
        (0, 112),
        (0, 83),
        (0, 42),
        (0, 39),
        (27, 84),
        (3, 6),
        (0, 1),
        (0, 2),
        (0, 15),
        (0, 4),
        (1, 2),
        (0, 28),
        (4, 7),
        (0, 0),
        (0, 1),
        (2, 79),
        (2, 15),
        (0, 8),
        (25, 58),
        (8, 30),
    ],
    entries: &[
        ('ð', 208),
        ('─', 196),
        ('º', 167),
        ('¤', 207),
        ('ü', 129),
        ('Ò', 227),
        ('¼', 172),
        ('┤', 180),
        ('£', 156),
        ('ì', 141),
        ('«', 174),
        ('Â', 182),
        ('°', 248),
        ('¥', 190),
        ('Ú', 233),
        ('¨', 249),
        ('²', 253),
        ('È', 212),
        ('¬', 170),
        ('▀', 223),
        ('Ô', 226),
        ('ı', 213),
        ('í', 161),
        ('¸', 247),
        ('×', 158),
        ('¢', 189),
        ('î', 140),
        ('Ð', 209),
        ('´', 239),
        ('┴', 193),
        ('ƒ', 159),
        ('½', 171),
        ('ë', 137),
        ('Ê', 210),
        ('ò', 149),
        ('á', 160),
        ('Ë', 211),
        ('╚', 200),
        ('║', 186),
        ('¶', 244),
        ('╔', 201),
        ('ó', 162),
        ('Å', 143),
        ('±', 241),
        ('└', 192),
        ('Ã', 199),
        ('Ó', 224),
        ('õ', 228),
        ('╗', 187),
        ('¦', 221),
        ('µ', 230),
        ('ª', 166),
        ('å', 134),
        ('╣', 185),
        ('ã', 198),
        ('┐', 191),
        ('¾', 243),
        ('·', 250),
        ('Ü', 154),
        ('è', 138),
        ('▄', 220),
        ('├', 195),
        ('ï', 139),
        ('■', 254),
        ('³', 252),
        ('╠', 204),
        ('Ï', 216),
        ('Ø', 157),
        ('ö', 148),
        ('▒', 177),
        ('╦', 203),
        ('ÿ', 152),
        ('\u{ad}', 240),
        ('Ý', 237),
        ('©', 184),
        ('Û', 234),
        ('│', 179),
        ('Æ', 146),
        ('╝', 188),
        ('»', 175),
        ('æ', 145),
        ('û', 150),
        ('¡', 173),
        ('â', 131),
        ('ý', 236),
        ('Þ', 232),
        ('ß', 225),
        ('┼', 197),
        ('═', 205),
        ('╬', 206),
        ('‗', 242),
        ('▓', 178),
        ('Ì', 222),
        ('░', 176),
        ('Ä', 142),
        ('Í', 214),
        ('Ñ', 165),
        ('É', 144),
        ('ê', 136),
        ('þ', 231),
        ('÷', 246),
        ('ä', 132),
        ('¯', 238),
        ('®', 169),
        ('┌', 218),
        ('§', 245),
        ('à', 133),
        ('ñ', 164),
        ('¹', 251),
        ('┘', 217),
        ('ú', 163),
        ('é', 130),
        ('Ö', 153),
        ('À', 183),
        ('\u{a0}', 255),
        ('Õ', 229),
        ('¿', 168),
        ('Á', 181),
        ('┬', 194),
        ('Î', 215),
        ('ô', 147),
        ('ù', 151),
        ('█', 219),
        ('Ù', 235),
        ('ç', 135),
        ('╩', 202),
        ('ø', 155),
        ('Ç', 128),
    ],
};/// Encoding table (Unicode to CP852)
pub static ENCODING_TABLE_CP852: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (0, 0),
        (0, 72),
        (0, 16),
        (1, 0),
        (2, 58),
        (2, 36),
        (0, 114),
        (0, 70),
        (0, 2),
        (3, 79),
        (0, 1),
        (4, 68),
        (0, 5),
        (0, 10),
        (0, 111),
        (0, 44),
        (0, 111),
        (0, 2),
        (9, 89),
        (0, 13),
        (4, 77),
        (3, 69),
        (0, 67),
        (4, 29),
        (0, 31),
        (0, 70),
    ],
    entries: &[
        ('─', 196),
        ('ţ', 238),
        ('đ', 208),
        ('┌', 218),
        ('Ż', 189),
        ('ß', 225),
        ('ć', 134),
        ('Ă', 198),
        ('ˇ', 243),
        ('ž', 167),
        ('ů', 133),
        ('Ľ', 149),
        ('ą', 165),
        ('Ć', 143),
        ('«', 174),
        ('ü', 129),
        ('ź', 171),
        ('ś', 152),
        ('Ä', 142),
        ('Č', 172),
        ('÷', 246),
        ('╬', 206),
        ('č', 159),
        ('│', 179),
        ('╝', 188),
        ('Ú', 233),
        ('\u{ad}', 240),
        ('ă', 199),
        ('ť', 156),
        ('â', 131),
        ('■', 254),
        ('ę', 169),
        ('█', 219),
        ('Á', 181),
        ('╩', 202),
        ('¤', 207),
        ('ô', 147),
        ('É', 144),
        ('┤', 180),
        ('˘', 244),
        ('§', 245),
        ('ř', 253),
        ('Ę', 168),
        ('╚', 200),
        ('°', 248),
        ('Ř', 252),
        ('ő', 139),
        ('├', 195),
        ('ń', 228),
        ('ň', 229),
        ('˙', 250),
        ('Ö', 153),
        ('Ž', 166),
        ('▒', 177),
        ('Ě', 183),
        ('Ň', 213),
        ('Đ', 209),
        ('Ď', 210),
        ('Ő', 138),
        ('ŕ', 234),
        ('░', 176),
        ('╦', 203),
        ('Í', 214),
        ('Ş', 184),
        ('╣', 185),
        ('└', 192),
        ('˛', 242),
        ('Â', 182),
        ('Ŕ', 232),
        ('š', 231),
        ('¨', 249),
        ('┘', 217),
        ('Ţ', 221),
        ('ú', 163),
        ('¸', 247),
        ('ş', 173),
        ('ű', 251),
        ('Ý', 237),
        ('ç', 135),
        ('Ü', 154),
        ('î', 140),
        ('ä', 132),
        ('Ů', 222),
        ('Ź', 141),
        ('ě', 216),
        ('ĺ', 146),
        ('┬', 194),
        ('ë', 137),
        ('ó', 162),
        ('ż', 190),
        ('ö', 148),
        ('Š', 230),
        ('»', 175),
        ('ď', 212),
        ('═', 205),
        ('▄', 220),
        ('┼', 197),
        ('\u{a0}', 255),
        ('Ô', 226),
        ('╠', 204),
        ('Ń', 227),
        ('ľ', 150),
        ('é', 130),
        ('ł', 136),
        ('Ť', 155),
        ('Ë', 211),
        ('Ű', 235),
        ('¬', 170),
        ('Ç', 128),
        ('┴', 193),
        ('Ó', 224),
        ('▓', 178),
        ('╔', 201),
        ('˝', 241),
        ('Î', 215),
        ('▀', 223),
        ('Ĺ', 145),
        ('Ś', 151),
        ('┐', 191),
        ('´', 239),
        ('í', 161),
        ('║', 186),
        ('Ą', 164),
        ('Ł', 157),
        ('×', 158),
        ('ý', 236),
        ('á', 160),
        ('╗', 187),
    ],
};/// Encoding table (Unicode to CP855)
pub static ENCODING_TABLE_CP855: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 14108922650502679131,
    disps: &[
        (3, 74),
        (0, 0),
        (1, 42),
        (0, 61),
        (0, 20),
        (0, 34),
        (0, 106),
        (4, 7),
        (5, 26),
        (1, 34),
        (5, 121),
        (0, 2),
        (1, 2),
        (0, 0),
        (1, 10),
        (1, 86),
        (30, 68),
        (0, 21),
        (12, 78),
        (1, 54),
        (19, 31),
        (6, 54),
        (0, 3),
        (1, 2),
        (0, 0),
        (33, 126),
    ],
    entries: &[
        ('┼', 197),
        ('Љ', 145),
        ('╔', 201),
        ('Џ', 155),
        ('Ц', 165),
        ('І', 139),
        ('ў', 152),
        ('§', 253),
        ('М', 211),
        ('Ѓ', 131),
        ('Ў', 153),
        ('о', 214),
        ('г', 172),
        ('у', 231),
        ('╗', 187),
        ('Ш', 246),
        ('й', 189),
        ('и', 183),
        ('▀', 223),
        ('ї', 140),
        ('Х', 182),
        ('ћ', 148),
        ('Я', 224),
        ('б', 162),
        ('ђ', 128),
        ('╬', 206),
        ('┘', 217),
        ('џ', 154),
        ('К', 199),
        ('Щ', 250),
        ('Њ', 147),
        ('О', 215),
        ('╚', 200),
        ('њ', 146),
        ('■', 254),
        ('Ј', 143),
        ('¤', 207),
        ('д', 166),
        ('т', 229),
        ('я', 222),
        ('љ', 144),
        ('Ь', 238),
        ('╣', 185),
        ('Ы', 242),
        ('И', 184),
        ('Й', 190),
        ('└', 192),
        ('к', 198),
        ('У', 232),
        ('е', 168),
        ('а', 160),
        ('─', 196),
        ('№', 239),
        ('┤', 180),
        ('ќ', 150),
        ('ј', 142),
        ('Ъ', 159),
        ('Ї', 141),
        ('Т', 230),
        ('Ќ', 151),
        ('л', 208),
        ('Ю', 157),
        ('ф', 170),
        ('Ж', 234),
        ('┴', 193),
        ('\u{ad}', 240),
        ('ь', 237),
        ('ы', 241),
        ('А', 161),
        ('ѓ', 130),
        ('є', 134),
        ('┌', 218),
        ('ц', 164),
        ('э', 247),
        ('│', 179),
        ('├', 195),
        ('х', 181),
        ('в', 235),
        ('Ё', 133),
        ('┐', 191),
        ('р', 225),
        ('ё', 132),
        ('Б', 163),
        ('▄', 220),
        ('╩', 202),
        ('╦', 203),
        ('н', 212),
        ('щ', 249),
        ('Е', 169),
        ('Н', 213),
        ('Э', 248),
        ('ю', 156),
        ('Є', 135),
        ('░', 176),
        ('Р', 226),
        ('═', 205),
        ('ѕ', 136),
        ('П', 221),
        ('█', 219),
        ('ч', 251),
        ('Л', 209),
        ('Ч', 252),
        ('╠', 204),
        ('Д', 167),
        ('з', 243),
        ('«', 174),
        ('▒', 177),
        ('п', 216),
        ('ш', 245),
        ('і', 138),
        ('ъ', 158),
        ('С', 228),
        ('┬', 194),
        ('Ћ', 149),
        ('╝', 188),
        ('▓', 178),
        ('м', 210),
        ('с', 227),
        ('Ђ', 129),
        ('\u{a0}', 255),
        ('В', 236),
        ('Г', 173),
        ('З', 244),
        ('ж', 233),
        ('║', 186),
        ('»', 175),
        ('Ѕ', 137),
        ('Ф', 171),
    ],
};/// Encoding table (Unicode to CP857)
pub static ENCODING_TABLE_CP857: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (1, 0),
        (0, 6),
        (0, 68),
        (0, 22),
        (1, 115),
        (0, 0),
        (0, 0),
        (1, 4),
        (7, 77),
        (0, 3),
        (0, 30),
        (0, 55),
        (12, 46),
        (0, 27),
        (1, 53),
        (3, 43),
        (1, 122),
        (2, 89),
        (22, 48),
        (6, 42),
        (3, 87),
        (4, 17),
        (0, 2),
        (23, 24),
        (0, 19),
    ],
    entries: &[
        ('═', 205),
        ('Ö', 153),
        ('ğ', 167),
        ('ú', 163),
        ('ş', 159),
        ('┘', 217),
        ('å', 134),
        ('Ü', 154),
        ('´', 239),
        ('©', 184),
        ('ì', 236),
        ('Ø', 157),
        ('Ë', 211),
        ('¥', 190),
        ('║', 186),
        ('±', 241),
        ('Ò', 227),
        ('²', 253),
        ('╔', 201),
        ('ç', 135),
        ('┬', 194),
        ('º', 208),
        ('À', 183),
        ('ä', 132),
        ('ı', 141),
        ('¬', 170),
        ('│', 179),
        ('ê', 136),
        ('Ç', 128),
        ('└', 192),
        ('Æ', 146),
        ('¯', 238),
        ('╚', 200),
        ('è', 138),
        ('╠', 204),
        ('▒', 177),
        ('Á', 181),
        ('É', 144),
        ('Ğ', 166),
        ('Ã', 199),
        ('┤', 180),
        ('³', 252),
        ('▓', 178),
        ('╝', 188),
        ('├', 195),
        ('╩', 202),
        ('È', 212),
        ('¹', 251),
        ('╦', 203),
        ('Ì', 222),
        ('┌', 218),
        ('í', 161),
        ('Ä', 142),
        ('░', 176),
        ('à', 133),
        ('Ê', 210),
        ('Ô', 226),
        ('Â', 182),
        ('╗', 187),
        ('Å', 143),
        ('╣', 185),
        ('Ó', 224),
        ('Í', 214),
        ('û', 150),
        ('¢', 189),
        ('®', 169),
        ('é', 130),
        ('ø', 155),
        ('ù', 151),
        ('ö', 148),
        ('ò', 149),
        ('¿', 168),
        ('Ù', 235),
        ('¦', 221),
        ('╬', 206),
        ('█', 219),
        ('ó', 162),
        ('■', 254),
        ('â', 131),
        ('Ñ', 165),
        ('ß', 225),
        ('¸', 247),
        ('Ş', 158),
        ('Ï', 216),
        ('Õ', 229),
        ('¨', 249),
        ('µ', 230),
        ('Û', 234),
        ('»', 175),
        ('¼', 172),
        ('Î', 215),
        ('î', 140),
        ('┐', 191),
        ('·', 250),
        ('─', 196),
        ('ÿ', 237),
        ('§', 245),
        ('¶', 244),
        ('°', 248),
        ('ã', 198),
        ('æ', 145),
        ('¾', 243),
        ('¤', 207),
        ('ü', 129),
        ('á', 160),
        ('┴', 193),
        ('ª', 209),
        ('\u{ad}', 240),
        ('£', 156),
        ('õ', 228),
        ('÷', 246),
        ('Ú', 233),
        ('ë', 137),
        ('½', 171),
        ('×', 232),
        ('ï', 139),
        ('\u{a0}', 255),
        ('«', 174),
        ('ñ', 164),
        ('İ', 152),
        ('┼', 197),
        ('▄', 220),
        ('¡', 173),
        ('ô', 147),
        ('▀', 223),
    ],
};/// Encoding table (Unicode to CP858)
pub static ENCODING_TABLE_CP858: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (0, 42),
        (0, 12),
        (0, 27),
        (0, 0),
        (0, 10),
        (0, 28),
        (0, 5),
        (5, 44),
        (0, 45),
        (0, 27),
        (0, 35),
        (0, 41),
        (0, 3),
        (0, 4),
        (0, 84),
        (0, 124),
        (0, 1),
        (0, 86),
        (3, 48),
        (0, 8),
        (7, 6),
        (0, 0),
        (0, 51),
        (27, 52),
        (0, 61),
        (3, 4),
    ],
    entries: &[
        ('Ô', 226),
        ('Ü', 154),
        ('¢', 189),
        ('ÿ', 152),
        ('ï', 139),
        ('█', 219),
        ('¿', 168),
        ('¬', 170),
        ('«', 174),
        ('■', 254),
        ('¡', 173),
        ('í', 161),
        ('Ä', 142),
        ('╠', 204),
        ('å', 134),
        ('┴', 193),
        ('ý', 236),
        ('‗', 242),
        ('│', 179),
        ('€', 213),
        ('Ø', 157),
        ('¥', 190),
        ('╝', 188),
        ('º', 167),
        ('ƒ', 159),
        ('¾', 243),
        ('×', 158),
        ('÷', 246),
        ('└', 192),
        ('╩', 202),
        ('á', 160),
        ('╬', 206),
        ('Æ', 146),
        ('╣', 185),
        ('È', 212),
        ('î', 140),
        ('¶', 244),
        ('─', 196),
        ('╚', 200),
        ('ò', 149),
        ('©', 184),
        ('Ò', 227),
        ('°', 248),
        ('¹', 251),
        ('ì', 141),
        ('Ë', 211),
        ('ö', 148),
        ('â', 131),
        ('┼', 197),
        ('ü', 129),
        ('Ó', 224),
        ('Â', 182),
        ('¯', 238),
        ('²', 253),
        ('¤', 207),
        ('╦', 203),
        ('±', 241),
        ('Ã', 199),
        ('§', 245),
        ('Ì', 222),
        ('\u{ad}', 240),
        ('µ', 230),
        ('¼', 172),
        ('Î', 215),
        ('Ç', 128),
        ('▄', 220),
        ('├', 195),
        ('ù', 151),
        ('³', 252),
        ('ª', 166),
        ('┬', 194),
        ('▀', 223),
        ('¸', 247),
        ('ß', 225),
        ('æ', 145),
        ('þ', 231),
        ('À', 183),
        ('É', 144),
        ('Å', 143),
        ('║', 186),
        ('┤', 180),
        ('½', 171),
        ('ë', 137),
        ('ã', 198),
        ('£', 156),
        ('¦', 221),
        ('Ö', 153),
        ('Þ', 232),
        ('Ù', 235),
        ('Ñ', 165),
        ('┘', 217),
        ('╔', 201),
        ('═', 205),
        ('õ', 228),
        ('░', 176),
        ('Ý', 237),
        ('▒', 177),
        ('é', 130),
        ('Õ', 229),
        ('Í', 214),
        ('¨', 249),
        ('Á', 181),
        ('Ï', 216),
        ('ø', 155),
        ('ê', 136),
        ('Ð', 209),
        ('à', 133),
        ('ú', 163),
        ('Û', 234),
        ('▓', 178),
        ('ñ', 164),
        ('è', 138),
        ('┐', 191),
        ('´', 239),
        ('·', 250),
        ('┌', 218),
        ('ô', 147),
        ('ó', 162),
        ('Ú', 233),
        ('╗', 187),
        ('ç', 135),
        ('ð', 208),
        ('Ê', 210),
        ('û', 150),
        ('ä', 132),
        ('»', 175),
        ('®', 169),
        ('\u{a0}', 255),
    ],
};/// Encoding table (Unicode to CP860)
pub static ENCODING_TABLE_CP860: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (0, 3),
        (0, 38),
        (1, 117),
        (0, 6),
        (0, 122),
        (4, 51),
        (1, 49),
        (0, 11),
        (0, 3),
        (1, 17),
        (0, 59),
        (2, 30),
        (0, 1),
        (0, 63),
        (6, 77),
        (2, 104),
        (9, 6),
        (18, 35),
        (1, 0),
        (2, 0),
        (47, 94),
        (0, 1),
        (0, 30),
        (0, 66),
        (24, 60),
        (0, 69),
    ],
    entries: &[
        ('╜', 189),
        ('≥', 242),
        ('₧', 158),
        ('ú', 163),
        ('¿', 168),
        ('ì', 141),
        ('π', 227),
        ('Ô', 140),
        ('σ', 229),
        ('è', 138),
        ('δ', 235),
        ('Ç', 128),
        ('╓', 214),
        ('â', 131),
        ('Σ', 228),
        ('▌', 221),
        ('╧', 207),
        ('Ì', 152),
        ('α', 224),
        ('╘', 212),
        ('╝', 188),
        ('é', 130),
        ('ⁿ', 252),
        ('╗', 187),
        ('┼', 197),
        ('¼', 172),
        ('Ù', 157),
        ('├', 195),
        ('╨', 208),
        ('º', 167),
        ('Â', 143),
        ('≡', 240),
        ('╬', 206),
        ('÷', 246),
        ('╣', 185),
        ('╔', 201),
        ('╚', 200),
        ('∩', 239),
        ('Θ', 233),
        ('┴', 193),
        ('°', 248),
        ('┤', 180),
        ('┘', 217),
        ('┐', 191),
        ('╕', 184),
        ('╛', 190),
        ('Ã', 142),
        ('Ñ', 165),
        ('È', 146),
        ('┬', 194),
        ('█', 219),
        ('í', 161),
        ('ô', 147),
        ('ò', 149),
        ('▒', 177),
        ('╙', 211),
        ('£', 156),
        ('±', 241),
        ('╟', 199),
        ('╢', 182),
        ('µ', 230),
        ('É', 144),
        ('\u{a0}', 255),
        ('ε', 238),
        ('└', 192),
        ('≤', 243),
        ('▄', 220),
        ('«', 174),
        ('ñ', 164),
        ('¡', 173),
        ('∙', 249),
        ('Ê', 137),
        ('ã', 132),
        ('ü', 129),
        ('■', 254),
        ('·', 250),
        ('Ó', 159),
        ('Í', 139),
        ('╤', 209),
        ('⌡', 245),
        ('║', 186),
        ('ç', 135),
        ('╞', 198),
        ('ê', 136),
        ('»', 175),
        ('Ü', 154),
        ('¬', 170),
        ('Γ', 226),
        ('¢', 155),
        ('╡', 181),
        ('═', 205),
        ('à', 133),
        ('ù', 151),
        ('φ', 237),
        ('┌', 218),
        ('√', 251),
        ('╥', 210),
        ('Ω', 234),
        ('½', 171),
        ('ß', 225),
        ('│', 179),
        ('á', 160),
        ('╠', 204),
        ('⌠', 244),
        ('Õ', 153),
        ('Φ', 232),
        ('≈', 247),
        ('▓', 178),
        ('Ò', 169),
        ('╫', 215),
        ('²', 253),
        ('õ', 148),
        ('╒', 213),
        ('▐', 222),
        ('╦', 203),
        ('∞', 236),
        ('▀', 223),
        ('╩', 202),
        ('░', 176),
        ('À', 145),
        ('ª', 166),
        ('╖', 183),
        ('─', 196),
        ('ó', 162),
        ('Ú', 150),
        ('╪', 216),
        ('τ', 231),
        ('Á', 134),
    ],
};/// Encoding table (Unicode to CP861)
pub static ENCODING_TABLE_CP861: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (0, 7),
        (0, 15),
        (3, 30),
        (0, 66),
        (0, 66),
        (0, 50),
        (1, 5),
        (0, 96),
        (3, 63),
        (3, 44),
        (0, 56),
        (32, 90),
        (2, 0),
        (0, 0),
        (4, 71),
        (1, 63),
        (0, 64),
        (5, 85),
        (1, 17),
        (2, 3),
        (120, 60),
        (0, 4),
        (0, 1),
        (42, 33),
        (6, 74),
        (0, 43),
    ],
    entries: &[
        ('ú', 163),
        ('╒', 213),
        ('≡', 240),
        ('╧', 207),
        ('«', 174),
        ('É', 144),
        ('¡', 173),
        ('í', 161),
        ('Ä', 142),
        ('å', 134),
        ('þ', 149),
        ('╕', 184),
        ('╤', 209),
        ('Æ', 146),
        ('≥', 242),
        ('╓', 214),
        ('Ö', 153),
        ('⌐', 169),
        ('⌠', 244),
        ('£', 156),
        ('┬', 194),
        ('≤', 243),
        ('α', 224),
        ('╔', 201),
        ('é', 130),
        ('σ', 229),
        ('∙', 249),
        ('√', 251),
        ('╥', 210),
        ('¬', 170),
        ('Ý', 151),
        ('╨', 208),
        ('δ', 235),
        ('ô', 147),
        ('Ð', 139),
        ('╬', 206),
        ('┴', 193),
        ('╣', 185),
        ('└', 192),
        ('╚', 200),
        ('∩', 239),
        ('Θ', 233),
        ('µ', 230),
        ('≈', 247),
        ('Ü', 154),
        ('┤', 180),
        ('ƒ', 159),
        ('æ', 145),
        ('à', 133),
        ('┼', 197),
        ('è', 138),
        ('╦', 203),
        ('á', 160),
        ('Ó', 166),
        ('ê', 136),
        ('ó', 162),
        ('Ú', 167),
        ('ä', 132),
        ('╙', 211),
        ('⌡', 245),
        ('±', 241),
        ('╟', 199),
        ('╛', 190),
        ('τ', 231),
        ('Ω', 234),
        ('┌', 218),
        ('½', 171),
        ('²', 253),
        ('¼', 172),
        ('▄', 220),
        ('ü', 129),
        ('°', 248),
        ('▒', 177),
        ('û', 150),
        ('₧', 158),
        ('ë', 137),
        ('ß', 225),
        ('╖', 183),
        ('»', 175),
        ('·', 250),
        ('ε', 238),
        ('═', 205),
        ('Å', 143),
        ('║', 186),
        ('▐', 222),
        ('ç', 135),
        ('─', 196),
        ('Ø', 157),
        ('▓', 178),
        ('∞', 236),
        ('Þ', 141),
        ('╘', 212),
        ('╡', 181),
        ('÷', 246),
        ('Í', 165),
        ('ö', 148),
        ('φ', 237),
        ('¿', 168),
        ('Ç', 128),
        ('╞', 198),
        ('ð', 140),
        ('╫', 215),
        ('╜', 189),
        ('│', 179),
        ('Á', 164),
        ('ý', 152),
        ('╠', 204),
        ('ø', 155),
        ('┐', 191),
        ('Φ', 232),
        ('â', 131),
        ('├', 195),
        ('█', 219),
        ('π', 227),
        ('╗', 187),
        ('░', 176),
        ('╢', 182),
        ('▌', 221),
        ('▀', 223),
        ('╝', 188),
        ('╩', 202),
        ('Γ', 226),
        ('╪', 216),
        ('■', 254),
        ('\u{a0}', 255),
        ('Σ', 228),
        ('┘', 217),
        ('ⁿ', 252),
    ],
};/// Encoding table (Unicode to CP862)
pub static ENCODING_TABLE_CP862: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 15467950696543387533,
    disps: &[
        (0, 42),
        (0, 0),
        (0, 17),
        (0, 1),
        (0, 89),
        (16, 84),
        (0, 7),
        (1, 0),
        (0, 34),
        (0, 90),
        (0, 24),
        (5, 102),
        (1, 7),
        (0, 3),
        (0, 0),
        (19, 0),
        (4, 113),
        (2, 39),
        (0, 39),
        (33, 96),
        (0, 72),
        (2, 101),
        (11, 17),
        (12, 9),
        (0, 7),
        (31, 105),
    ],
    entries: &[
        ('ף', 147),
        ('╧', 207),
        ('²', 253),
        ('╬', 206),
        ('█', 219),
        ('╢', 182),
        ('ß', 225),
        ('ט', 136),
        ('╨', 208),
        ('ⁿ', 252),
        ('µ', 230),
        ('┐', 191),
        ('■', 254),
        ('Σ', 228),
        ('נ', 144),
        ('ן', 143),
        ('ם', 141),
        ('ע', 146),
        ('┌', 218),
        ('╪', 216),
        ('פ', 148),
        ('≥', 242),
        ('╖', 183),
        ('¡', 173),
        ('ך', 138),
        ('═', 205),
        ('╠', 204),
        ('ד', 131),
        ('┘', 217),
        ('ח', 135),
        ('∞', 236),
        ('┤', 180),
        ('ז', 134),
        ('ª', 166),
        ('צ', 150),
        ('°', 248),
        ('╗', 187),
        ('ו', 133),
        ('Ω', 234),
        ('░', 176),
        ('∩', 239),
        ('≡', 240),
        ('⌡', 245),
        ('ó', 162),
        ('ñ', 164),
        ('╟', 199),
        ('א', 128),
        ('ש', 153),
        ('╒', 213),
        ('δ', 235),
        ('▓', 178),
        ('─', 196),
        ('ר', 152),
        ('º', 167),
        ('Ñ', 165),
        ('╣', 185),
        ('י', 137),
        ('מ', 142),
        ('╞', 198),
        ('╕', 184),
        ('ס', 145),
        ('╜', 189),
        ('ú', 163),
        ('⌠', 244),
        ('ג', 130),
        ('▒', 177),
        ('¿', 168),
        ('∙', 249),
        ('│', 179),
        ('₧', 158),
        ('¢', 155),
        ('≈', 247),
        ('╝', 188),
        ('φ', 237),
        ('╚', 200),
        ('√', 251),
        ('┼', 197),
        ('╫', 215),
        ('≤', 243),
        ('╔', 201),
        ('±', 241),
        ('¬', 170),
        ('÷', 246),
        ('τ', 231),
        ('Φ', 232),
        ('ל', 140),
        ('▐', 222),
        ('ב', 129),
        ('╦', 203),
        ('╛', 190),
        ('ץ', 149),
        ('ה', 132),
        ('╤', 209),
        ('╩', 202),
        ('▄', 220),
        ('»', 175),
        ('╙', 211),
        ('▌', 221),
        ('┴', 193),
        ('ƒ', 159),
        ('ק', 151),
        ('£', 156),
        ('▀', 223),
        ('Θ', 233),
        ('¼', 172),
        ('┬', 194),
        ('Γ', 226),
        ('\u{a0}', 255),
        ('├', 195),
        ('╡', 181),
        ('α', 224),
        ('ε', 238),
        ('כ', 139),
        ('¥', 157),
        ('á', 160),
        ('╘', 212),
        ('«', 174),
        ('║', 186),
        ('ת', 154),
        ('╥', 210),
        ('·', 250),
        ('└', 192),
        ('π', 227),
        ('⌐', 169),
        ('í', 161),
        ('½', 171),
        ('╓', 214),
        ('σ', 229),
    ],
};/// Encoding table (Unicode to CP863)
pub static ENCODING_TABLE_CP863: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (0, 4),
        (3, 41),
        (0, 29),
        (0, 6),
        (1, 116),
        (0, 101),
        (1, 101),
        (0, 3),
        (31, 57),
        (3, 88),
        (0, 12),
        (1, 47),
        (1, 2),
        (0, 2),
        (5, 126),
        (1, 64),
        (1, 47),
        (1, 32),
        (1, 36),
        (2, 0),
        (12, 38),
        (1, 0),
        (0, 3),
        (28, 108),
        (0, 38),
        (9, 3),
    ],
    entries: &[
        ('╗', 187),
        ('▀', 223),
        ('≥', 242),
        ('Â', 132),
        ('≡', 240),
        ('∩', 239),
        ('«', 174),
        ('╝', 188),
        ('≤', 243),
        ('╜', 189),
        ('‗', 141),
        ('É', 144),
        ('╓', 214),
        ('╤', 209),
        ('⌠', 244),
        ('ⁿ', 252),
        ('ß', 225),
        ('Ç', 128),
        ('¦', 160),
        ('α', 224),
        ('╒', 213),
        ('é', 130),
        ('┬', 194),
        ('═', 205),
        ('▌', 221),
        ('╢', 182),
        ('ü', 129),
        ('î', 140),
        ('╨', 208),
        ('╕', 184),
        ('§', 143),
        ('¤', 152),
        ('⌐', 169),
        ('÷', 246),
        ('ô', 147),
        ('▓', 178),
        ('╚', 200),
        ('½', 171),
        ('µ', 230),
        ('■', 254),
        ('╫', 215),
        ('£', 156),
        ('┤', 180),
        ('Î', 168),
        ('σ', 229),
        ('≈', 247),
        ('â', 131),
        ('¯', 167),
        ('È', 145),
        ('Γ', 226),
        ('┼', 197),
        ('¶', 134),
        ('▄', 220),
        ('╦', 203),
        ('╧', 207),
        ('╙', 211),
        ('ê', 136),
        ('°', 248),
        ('▒', 177),
        ('±', 241),
        ('²', 253),
        ('¢', 155),
        ('Ù', 157),
        ('╣', 185),
        ('¼', 172),
        ('τ', 231),
        ('³', 166),
        ('┌', 218),
        ('Ï', 149),
        ('█', 219),
        ('║', 186),
        ('░', 176),
        ('ë', 137),
        ('δ', 235),
        ('Θ', 233),
        ('û', 150),
        ('·', 250),
        ('¨', 164),
        ('╪', 216),
        ('├', 195),
        ('¬', 170),
        ('╛', 190),
        ('ç', 135),
        ('à', 133),
        ('ú', 163),
        ('└', 192),
        ('▐', 222),
        ('∞', 236),
        ('Ü', 154),
        ('╡', 181),
        ('╬', 206),
        ('─', 196),
        ('╘', 212),
        ('φ', 237),
        ('┘', 217),
        ('√', 251),
        ('╥', 210),
        ('ƒ', 159),
        ('¸', 165),
        ('ε', 238),
        ('│', 179),
        ('ù', 151),
        ('ï', 139),
        ('╠', 204),
        ('\u{a0}', 255),
        ('Ô', 153),
        ('Φ', 232),
        ('╖', 183),
        ('Ω', 234),
        ('À', 142),
        ('┐', 191),
        ('´', 161),
        ('╟', 199),
        ('è', 138),
        ('Û', 158),
        ('¾', 173),
        ('»', 175),
        ('╩', 202),
        ('╞', 198),
        ('π', 227),
        ('┴', 193),
        ('╔', 201),
        ('∙', 249),
        ('ó', 162),
        ('Ê', 146),
        ('⌡', 245),
        ('Σ', 228),
        ('Ë', 148),
    ],
};/// Encoding table (Unicode to CP864)
pub static ENCODING_TABLE_CP864: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (0, 1),
        (4, 30),
        (0, 8),
        (2, 8),
        (1, 16),
        (1, 77),
        (0, 0),
        (0, 38),
        (1, 87),
        (1, 59),
        (4, 83),
        (0, 4),
        (9, 15),
        (0, 7),
        (4, 45),
        (0, 23),
        (12, 56),
        (0, 11),
        (0, 81),
        (5, 119),
        (23, 48),
        (1, 40),
        (0, 2),
        (0, 108),
        (9, 104),
    ],
    entries: &[
        ('\u{651}', 241),
        ('ﻓ', 225),
        ('┴', 139),
        ('٥', 181),
        ('ﻶ', 250),
        ('ﻲ', 246),
        ('ﺹ', 190),
        ('٨', 184),
        ('ﻵ', 249),
        ('ﺥ', 175),
        ('ﻻ', 157),
        ('│', 134),
        ('؟', 191),
        ('ﻋ', 217),
        ('٩', 185),
        ('┬', 137),
        ('ﻉ', 223),
        ('٣', 179),
        ('£', 163),
        ('ﻧ', 230),
        ('ﻍ', 238),
        ('ﻛ', 227),
        ('ﻷ', 153),
        ('»', 152),
        ('ﺁ', 194),
        ('ﺳ', 211),
        ('ﺫ', 208),
        ('؛', 187),
        ('ﺂ', 162),
        ('ﺿ', 214),
        ('٦', 182),
        ('ﺕ', 170),
        ('٢', 178),
        ('\u{a0}', 160),
        ('ﻊ', 197),
        ('ﺩ', 207),
        ('١', 177),
        ('ﺓ', 201),
        ('ﻟ', 228),
        ('ﻕ', 248),
        ('¼', 149),
        ('°', 128),
        ('≈', 150),
        ('ـ', 224),
        ('ﻣ', 229),
        ('├', 138),
        ('ﻑ', 186),
        ('ﺱ', 188),
        ('ﻫ', 231),
        ('ﻰ', 245),
        ('ﺣ', 205),
        ('ﺄ', 165),
        ('٠', 176),
        ('ﻸ', 154),
        ('ﻙ', 252),
        ('ﺅ', 196),
        ('¦', 219),
        ('ﻥ', 242),
        ('ﺛ', 203),
        ('±', 147),
        ('ﻁ', 215),
        ('ﺻ', 213),
        ('┼', 135),
        ('ﻬ', 244),
        ('ﻌ', 236),
        ('ﺍ', 199),
        ('ﺋ', 198),
        ('ﺝ', 173),
        ('ﻡ', 239),
        ('ﺀ', 193),
        ('·', 129),
        ('ﻩ', 243),
        ('ﺧ', 206),
        ('√', 131),
        ('¢', 192),
        ('ﺟ', 204),
        ('ﻱ', 253),
        ('ﻝ', 251),
        ('×', 222),
        ('٧', 183),
        ('ﺏ', 169),
        ('└', 142),
        ('┤', 136),
        ('٤', 180),
        ('β', 144),
        ('ﺑ', 200),
        ('ﻎ', 237),
        ('÷', 221),
        ('ﺙ', 171),
        ('▒', 132),
        ('\u{ad}', 161),
        ('ﺗ', 202),
        ('،', 172),
        ('ﻐ', 247),
        ('ﺵ', 189),
        ('ﻅ', 216),
        ('¤', 164),
        ('ﺽ', 235),
        ('ﻭ', 232),
        ('∙', 130),
        ('ﹽ', 240),
        ('ﻏ', 218),
        ('φ', 146),
        ('ﺡ', 174),
        ('─', 133),
        ('ﻯ', 233),
        ('ﻳ', 234),
        ('ﺎ', 168),
        ('ﻗ', 226),
        ('┘', 143),
        ('■', 254),
        ('½', 148),
        ('«', 151),
        ('ﺭ', 209),
        ('┐', 140),
        ('ﻼ', 158),
        ('ﺷ', 212),
        ('┌', 141),
        ('∞', 145),
        ('ﺃ', 195),
        ('¬', 220),
        ('ﺯ', 210),
    ],
};/// Encoding table (Unicode to CP865)
pub static ENCODING_TABLE_CP865: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (0, 10),
        (1, 45),
        (6, 62),
        (0, 7),
        (7, 59),
        (0, 21),
        (1, 1),
        (2, 5),
        (0, 13),
        (15, 86),
        (1, 12),
        (13, 124),
        (2, 2),
        (0, 0),
        (20, 47),
        (3, 0),
        (19, 21),
        (0, 101),
        (1, 2),
        (2, 0),
        (6, 63),
        (0, 2),
        (0, 23),
        (100, 1),
        (1, 97),
        (4, 38),
    ],
    entries: &[
        ('¬', 170),
        ('à', 133),
        ('Ω', 234),
        ('í', 161),
        ('«', 174),
        ('ò', 149),
        ('¡', 173),
        ('┴', 193),
        ('Ä', 142),
        ('²', 253),
        ('σ', 229),
        ('\u{a0}', 255),
        ('╓', 214),
        ('╕', 184),
        ('Σ', 228),
        ('Æ', 146),
        ('π', 227),
        ('ƒ', 159),
        ('è', 138),
        ('⌐', 169),
        ('å', 134),
        ('é', 130),
        ('∙', 249),
        ('á', 160),
        ('≡', 240),
        ('α', 224),
        ('½', 171),
        ('╗', 187),
        ('╨', 208),
        ('└', 192),
        ('º', 167),
        ('₧', 158),
        ('╟', 199),
        ('╬', 206),
        ('÷', 246),
        ('╣', 185),
        ('╚', 200),
        ('î', 140),
        ('∩', 239),
        ('Θ', 233),
        ('δ', 235),
        ('■', 254),
        ('┬', 194),
        ('≈', 247),
        ('∞', 236),
        ('╜', 189),
        ('╔', 201),
        ('╛', 190),
        ('┤', 180),
        ('ÿ', 152),
        ('Γ', 226),
        ('╦', 203),
        ('æ', 145),
        ('⌠', 244),
        ('ô', 147),
        ('╙', 211),
        ('█', 219),
        ('Ñ', 165),
        ('±', 241),
        ('¤', 175),
        ('▌', 221),
        ('ö', 148),
        ('Ü', 154),
        ('τ', 231),
        ('▒', 177),
        ('ε', 238),
        ('≥', 242),
        ('▄', 220),
        ('ï', 139),
        ('ú', 163),
        ('â', 131),
        ('╪', 216),
        ('ë', 137),
        ('°', 248),
        ('É', 144),
        ('╫', 215),
        ('ê', 136),
        ('£', 156),
        ('ñ', 164),
        ('Ç', 128),
        ('Å', 143),
        ('║', 186),
        ('·', 250),
        ('═', 205),
        ('╞', 198),
        ('ì', 141),
        ('▀', 223),
        ('┌', 218),
        ('ç', 135),
        ('╡', 181),
        ('▓', 178),
        ('╖', 183),
        ('ä', 132),
        ('φ', 237),
        ('Ö', 153),
        ('û', 150),
        ('√', 251),
        ('╥', 210),
        ('⌡', 245),
        ('¿', 168),
        ('│', 179),
        ('ü', 129),
        ('╧', 207),
        ('¼', 172),
        ('─', 196),
        ('ø', 155),
        ('▐', 222),
        ('├', 195),
        ('┐', 191),
        ('╠', 204),
        ('┼', 197),
        ('ⁿ', 252),
        ('Φ', 232),
        ('µ', 230),
        ('╒', 213),
        ('ù', 151),
        ('░', 176),
        ('╩', 202),
        ('╢', 182),
        ('≤', 243),
        ('ß', 225),
        ('╝', 188),
        ('┘', 217),
        ('Ø', 157),
        ('ó', 162),
        ('╘', 212),
        ('ª', 166),
        ('╤', 209),
    ],
};/// Encoding table (Unicode to CP866)
pub static ENCODING_TABLE_CP866: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (1, 35),
        (9, 106),
        (1, 103),
        (0, 1),
        (0, 0),
        (2, 54),
        (1, 1),
        (0, 61),
        (0, 2),
        (0, 46),
        (0, 3),
        (0, 103),
        (0, 0),
        (1, 43),
        (2, 95),
        (1, 4),
        (0, 85),
        (0, 3),
        (5, 45),
        (1, 0),
        (7, 12),
        (0, 1),
        (0, 31),
        (4, 114),
        (1, 4),
        (2, 88),
    ],
    entries: &[
        ('т', 226),
        ('╒', 213),
        ('Ж', 134),
        ('й', 169),
        ('л', 171),
        ('╩', 202),
        ('е', 165),
        ('Р', 144),
        ('▌', 221),
        ('·', 250),
        ('з', 167),
        ('ш', 232),
        ('№', 252),
        ('Н', 141),
        ('Г', 131),
        ('ф', 228),
        ('н', 173),
        ('└', 192),
        ('┤', 180),
        ('╝', 188),
        ('б', 161),
        ('ж', 166),
        ('∙', 249),
        ('о', 174),
        ('Т', 146),
        ('╘', 212),
        ('Ї', 244),
        ('╞', 198),
        ('■', 254),
        ('╨', 208),
        ('Д', 132),
        ('в', 162),
        ('╬', 206),
        ('╚', 200),
        ('╣', 185),
        ('╡', 181),
        ('Э', 157),
        ('Ю', 158),
        ('У', 147),
        ('°', 248),
        ('ы', 235),
        ('є', 243),
        ('р', 224),
        ('╕', 184),
        ('О', 142),
        ('д', 164),
        ('\u{a0}', 255),
        ('╠', 204),
        ('г', 163),
        ('З', 135),
        ('┬', 194),
        ('╦', 203),
        ('у', 227),
        ('▒', 177),
        ('Ё', 240),
        ('╓', 214),
        ('и', 168),
        ('Ў', 246),
        ('╢', 182),
        ('¤', 253),
        ('ї', 245),
        ('Е', 133),
        ('░', 176),
        ('╟', 199),
        ('┐', 191),
        ('ю', 238),
        ('▄', 220),
        ('я', 239),
        ('Ы', 155),
        ('╪', 216),
        ('Щ', 153),
        ('╙', 211),
        ('Ш', 152),
        ('Й', 137),
        ('ё', 241),
        ('Ъ', 154),
        ('█', 219),
        ('╧', 207),
        ('П', 143),
        ('п', 175),
        ('║', 186),
        ('╤', 209),
        ('Є', 242),
        ('Ц', 150),
        ('Х', 149),
        ('х', 229),
        ('╛', 190),
        ('Ч', 151),
        ('А', 128),
        ('═', 205),
        ('√', 251),
        ('╥', 210),
        ('ъ', 234),
        ('М', 140),
        ('И', 136),
        ('┌', 218),
        ('к', 170),
        ('╔', 201),
        ('ў', 247),
        ('─', 196),
        ('Я', 159),
        ('В', 130),
        ('Ф', 148),
        ('а', 160),
        ('Л', 139),
        ('╫', 215),
        ('▓', 178),
        ('├', 195),
        ('ь', 236),
        ('э', 237),
        ('щ', 233),
        ('┴', 193),
        ('ч', 231),
        ('К', 138),
        ('▐', 222),
        ('Б', 129),
        ('▀', 223),
        ('ц', 230),
        ('┼', 197),
        ('│', 179),
        ('Ь', 156),
        ('╜', 189),
        ('┘', 217),
        ('м', 172),
        ('С', 145),
        ('╗', 187),
        ('╖', 183),
        ('с', 225),
    ],
};/// Encoding table (Unicode to CP869)
pub static ENCODING_TABLE_CP869: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 15467950696543387533,
    disps: &[
        (0, 6),
        (0, 50),
        (2, 28),
        (1, 34),
        (0, 0),
        (0, 43),
        (0, 61),
        (0, 0),
        (0, 22),
        (4, 53),
        (2, 0),
        (0, 0),
        (1, 0),
        (1, 70),
        (0, 1),
        (1, 118),
        (3, 63),
        (0, 72),
        (1, 6),
        (2, 99),
        (2, 84),
        (16, 27),
        (18, 107),
        (11, 1),
    ],
    entries: &[
        ('¦', 138),
        ('Ώ', 152),
        ('½', 171),
        ('ΰ', 252),
        ('Ν', 184),
        ('▓', 178),
        ('Δ', 167),
        ('Ι', 173),
        ('ύ', 163),
        ('╔', 201),
        ('╠', 204),
        ('Ή', 143),
        ('═', 205),
        ('Λ', 182),
        ('╗', 187),
        ('─', 196),
        ('Ϊ', 145),
        ('η', 225),
        ('Ί', 144),
        ('λ', 229),
        ('Β', 165),
        ('ν', 231),
        ('Υ', 209),
        ('└', 192),
        ('█', 219),
        ('║', 186),
        ('υ', 242),
        ('’', 140),
        ('╣', 185),
        ('ε', 222),
        ('Ύ', 149),
        ('■', 254),
        ('│', 179),
        ('Α', 164),
        ('ι', 227),
        ('¬', 137),
        ('«', 174),
        ('┌', 218),
        ('┤', 180),
        ('π', 234),
        ('\u{ad}', 240),
        ('ϋ', 251),
        ('ω', 250),
        ('▄', 220),
        ('‘', 139),
        ('¨', 249),
        ('±', 241),
        ('³', 154),
        ('ώ', 253),
        ('²', 153),
        ('Έ', 141),
        ('▒', 177),
        ('δ', 221),
        ('Τ', 208),
        ('ζ', 224),
        ('·', 136),
        ('χ', 244),
        ('γ', 216),
        ('Θ', 172),
        ('ό', 162),
        ('ϊ', 160),
        ('μ', 230),
        ('β', 215),
        ('Π', 198),
        ('»', 175),
        ('\u{a0}', 255),
        ('Ρ', 199),
        ('Ψ', 212),
        ('ή', 158),
        ('Ό', 146),
        ('Σ', 207),
        ('Ζ', 169),
        ('°', 248),
        ('ξ', 232),
        ('▀', 223),
        ('φ', 243),
        ('┴', 193),
        ('©', 151),
        ('╩', 202),
        ('Μ', 183),
        ('Ε', 168),
        ('├', 195),
        ('ΐ', 161),
        ('έ', 157),
        ('Χ', 211),
        ('Ά', 134),
        ('σ', 236),
        ('╝', 188),
        ('Ξ', 189),
        ('░', 176),
        ('―', 142),
        ('ρ', 235),
        ('┘', 217),
        ('ψ', 246),
        ('╦', 203),
        ('╚', 200),
        ('Ω', 213),
        ('Γ', 166),
        ('┐', 191),
        ('ς', 237),
        ('΅', 247),
        ('ί', 159),
        ('ο', 233),
        ('£', 156),
        ('α', 214),
        ('τ', 238),
        ('κ', 228),
        ('┼', 197),
        ('΄', 239),
        ('Κ', 181),
        ('Η', 170),
        ('§', 245),
        ('Φ', 210),
        ('┬', 194),
        ('Ο', 190),
        ('θ', 226),
        ('╬', 206),
        ('ά', 155),
        ('Ϋ', 150),
    ],
};/// Encoding table (Unicode to CP874)
pub static ENCODING_TABLE_CP874: OEMCPHashMap<char, u8> = ::phf::Map {
    key: 12913932095322966823,
    disps: &[
        (0, 93),
        (0, 19),
        (0, 91),
        (1, 8),
        (0, 10),
        (0, 64),
        (0, 0),
        (0, 31),
        (5, 78),
        (1, 62),
        (8, 32),
        (0, 2),
        (0, 0),
        (0, 6),
        (4, 118),
        (3, 10),
        (1, 32),
        (5, 90),
        (2, 80),
        (24, 92),
        (0, 2),
        (0, 4),
        (0, 3),
        (10, 29),
    ],
    entries: &[
        ('’', 146),
        ('ม', 193),
        ('\u{83}', 131),
        ('ๅ', 229),
        ('ฅ', 165),
        ('ไ', 228),
        ('ำ', 211),
        ('\u{e4b}', 235),
        ('ๆ', 230),
        ('พ', 190),
        ('\u{e36}', 214),
        ('ก', 161),
        ('\u{9f}', 159),
        ('ย', 194),
        ('ฎ', 174),
        ('\u{89}', 137),
        ('ค', 164),
        ('๛', 251),
        ('ฃ', 163),
        ('ฒ', 178),
        ('”', 148),
        ('ฌ', 172),
        ('ฆ', 166),
        ('ร', 195),
        ('\u{e4e}', 238),
        ('€', 128),
        ('\u{a0}', 160),
        ('\u{87}', 135),
        ('\u{e4c}', 236),
        ('๑', 241),
        ('\u{e4a}', 234),
        ('\u{8c}', 140),
        ('๏', 239),
        ('ฮ', 206),
        ('ข', 162),
        ('\u{86}', 134),
        ('\u{9e}', 158),
        ('\u{e38}', 216),
        ('–', 150),
        ('\u{9c}', 156),
        ('‘', 145),
        ('ล', 197),
        ('\u{8e}', 142),
        ('ศ', 200),
        ('ผ', 188),
        ('…', 133),
        ('๒', 242),
        ('ะ', 208),
        ('น', 185),
        ('๖', 246),
        ('ห', 203),
        ('ฟ', 191),
        ('๓', 243),
        ('บ', 186),
        ('แ', 225),
        ('\u{88}', 136),
        ('\u{8b}', 139),
        ('ด', 180),
        ('ฐ', 176),
        ('ว', 199),
        ('ฑ', 177),
        ('\u{e3a}', 218),
        ('๔', 244),
        ('ใ', 227),
        ('ซ', 171),
        ('ฤ', 196),
        ('\u{8f}', 143),
        ('ฯ', 207),
        ('ส', 202),
        ('ฉ', 169),
        ('\u{e37}', 215),
        ('\u{e39}', 217),
        ('จ', 168),
        ('ต', 181),
        ('ฝ', 189),
        ('ษ', 201),
        ('\u{81}', 129),
        ('๗', 247),
        ('—', 151),
        ('ธ', 184),
        ('\u{98}', 152),
        ('ป', 187),
        ('\u{99}', 153),
        ('\u{8a}', 138),
        ('ภ', 192),
        ('ฏ', 175),
        ('โ', 226),
        ('๚', 250),
        ('\u{84}', 132),
        ('\u{90}', 144),
        ('\u{9b}', 155),
        ('\u{e35}', 213),
        ('เ', 224),
        ('“', 147),
        ('\u{9a}', 154),
        ('\u{82}', 130),
        ('฿', 223),
        ('ถ', 182),
        ('ญ', 173),
        ('\u{e47}', 231),
        ('ฬ', 204),
        ('๘', 248),
        ('ท', 183),
        ('๙', 249),
        ('•', 149),
        ('\u{e31}', 209),
        ('ณ', 179),
        ('\u{e48}', 232),
        ('ช', 170),
        ('๕', 245),
        ('\u{e4d}', 237),
        ('ง', 167),
        ('ฦ', 198),
        ('\u{8d}', 141),
        ('า', 210),
        ('\u{e34}', 212),
        ('อ', 205),
        ('๐', 240),
        ('\u{9d}', 157),
        ('\u{e49}', 233),
    ],
};/// map from codepage to decoding table
///
/// `.get` returns `code_table_type::{Complete,Incomplete}`.
///
/// * `Complete`: the decoding table doesn't have undefined mapping.
/// * `Incomplete`:  it have some undefined mapping.
///
/// This enumerate provides methods `decode_string_lossy` and `decode_string_checked`.
/// The following examples show the use of them.  `if let Some(decoder) = *snip* decoder.decode_string_*snip*` is convenient for practical use.
///
/// # Examples
///
/// ```
/// use oem_cp::code_table::{DECODING_TABLE_CP_MAP, DECODING_TABLE_CP437};
/// use oem_cp::code_table_type::TableType::*;
/// assert_eq!(DECODING_TABLE_CP_MAP.get(&437).unwrap().decode_string_lossy(vec![0x31, 0xF6, 0xAB, 0x3D, 0x32]), "1÷½=2".to_string());
/// if let Some(cp874_table) = DECODING_TABLE_CP_MAP.get(&874) {
///     // means shrimp in Thai (U+E49 => 0xE9)
///     assert_eq!(cp874_table.decode_string_checked(vec![0xA1, 0xD8, 0xE9, 0xA7]), Some("กุ้ง".to_string()));
///     // undefined mapping 0xDB for CP874 Windows dialect (strict mode with MB_ERR_INVALID_CHARS)
///     assert_eq!(cp874_table.decode_string_checked(vec![0xDB]), None);
/// } else {
///     panic!("CP874 must be defined in DECODING_TABLE_CP_MAP");
/// }
/// ```
pub static DECODING_TABLE_CP_MAP: OEMCPHashMap<u16, TableType> = ::phf::Map {
    key: 8694567506910003252,
    disps: &[
        (0, 17),
        (7, 6),
        (9, 4),
        (0, 0),
    ],
    entries: &[
        (775, Complete(&DECODING_TABLE_CP775)),
        (720, Incomplete(&DECODING_TABLE_CP720)),
        (869, Incomplete(&DECODING_TABLE_CP869)),
        (858, Complete(&DECODING_TABLE_CP858)),
        (865, Complete(&DECODING_TABLE_CP865)),
        (862, Complete(&DECODING_TABLE_CP862)),
        (857, Incomplete(&DECODING_TABLE_CP857)),
        (861, Complete(&DECODING_TABLE_CP861)),
        (437, Complete(&DECODING_TABLE_CP437)),
        (863, Complete(&DECODING_TABLE_CP863)),
        (850, Complete(&DECODING_TABLE_CP850)),
        (737, Complete(&DECODING_TABLE_CP737)),
        (864, Incomplete(&DECODING_TABLE_CP864)),
        (874, Incomplete(&DECODING_TABLE_CP874)),
        (866, Complete(&DECODING_TABLE_CP866)),
        (860, Complete(&DECODING_TABLE_CP860)),
        (855, Complete(&DECODING_TABLE_CP855)),
        (852, Complete(&DECODING_TABLE_CP852)),
    ],
};
/// map from codepage to encoding table
///
/// # Examples
///
/// ```
/// # use std::ptr;
/// use oem_cp::code_table::{ENCODING_TABLE_CP_MAP, ENCODING_TABLE_CP437};
/// assert!(ptr::eq(*ENCODING_TABLE_CP_MAP.get(&437).unwrap(), &ENCODING_TABLE_CP437));
/// // CP932 (Shift-JIS; Japanese MBCS) is unsupported
/// assert!(ENCODING_TABLE_CP_MAP.get(&932).is_none());
///
/// use oem_cp::encode_string_checked;
///
/// if let Some(cp437_table) = ENCODING_TABLE_CP_MAP.get(&437) {
///     assert_eq!(encode_string_checked("π≈22/7", cp437_table), Some(vec![0xE3, 0xF7, 0x32, 0x32, 0x2F, 0x37]));
/// } else {
///     panic!("CP437 must be registered in ENCODING_TABLE_CP_MAP");
/// }
/// ```
pub static ENCODING_TABLE_CP_MAP: OEMCPHashMap<u16, &'static OEMCPHashMap<char, u8>> = ::phf::Map {
    key: 8694567506910003252,
    disps: &[
        (0, 17),
        (7, 6),
        (9, 4),
        (0, 0),
    ],
    entries: &[
        (775, &ENCODING_TABLE_CP775),
        (720, &ENCODING_TABLE_CP720),
        (869, &ENCODING_TABLE_CP869),
        (858, &ENCODING_TABLE_CP858),
        (865, &ENCODING_TABLE_CP865),
        (862, &ENCODING_TABLE_CP862),
        (857, &ENCODING_TABLE_CP857),
        (861, &ENCODING_TABLE_CP861),
        (437, &ENCODING_TABLE_CP437),
        (863, &ENCODING_TABLE_CP863),
        (850, &ENCODING_TABLE_CP850),
        (737, &ENCODING_TABLE_CP737),
        (864, &ENCODING_TABLE_CP864),
        (874, &ENCODING_TABLE_CP874),
        (866, &ENCODING_TABLE_CP866),
        (860, &ENCODING_TABLE_CP860),
        (855, &ENCODING_TABLE_CP855),
        (852, &ENCODING_TABLE_CP852),
    ],
};
}
